View Issue Details

IDProjectCategoryView StatusLast Update
0038315FPCUtilitiespublic2021-03-30 15:27
ReporterAndrey Sobol Assigned To 
PrioritynormalSeverityminorReproducibilityalways
Status newResolutionopen 
Platformi386OSWindows 
Summary0038315: TChmWriter memleak
DescriptionI seeked a lost files into chm`s but as result I have found a huge memleak into tchmwriter.
I have checked html generation mode the memleak is not exist, but chm mode gives the leak nearby using lzh

After calling the function
FChm.AddStreamToArchive(FileName, FilePath, FileStream, True);

I could not fix it. Need someone more competent in this matter
Steps To ReproduceI use the debug options:
-O1 -gw2 -godwarfsets -gl -gh-Xg

and the fpdoc options:
--input=ufrmmain.pas --package=test --import=rtl.xct,..\rtl --format=chm --output=test --auto-toc --auto-index --make-searchable

Test file is attached, the result log file also...
TagsNo tags attached.
Fixed in Revision
FPCOldBugId
FPCTarget
Attached Files

Activities

Andrey Sobol

2021-01-05 19:04

reporter  

fpdoc_err.log (92,559 bytes)   
Warning : ancestor class TInterfacedObject of class TSimpleRWSync could not be resolved - Sender: TFPDocEngine
Warning : ancestor class TInterfacedObject of class TMultiReadExclusiveWriteSynchronizer could not be resolved - Sender: TFPDocEngine
HTML Files written. Collecting other files and compressing...this could take some time
Generating Table of contents...
Generating TOC done
Generating Index...
Generating Index Done
Finishing compressing...
Marked memory at $0000000006195150 invalid
Wrong signature $E2487500 instead of 60AB0A3B
  $0000000100019B1D
  $0000000100019D56
  $0000000100019E1E
  $000000010001175B
  $000000010013DAD3  LZ_RELEASE,  line 140 of ../../packages/chm/src/paslznonslide.pas
  $000000010006C270  LZX_FINISH,  line 1148 of ../../packages/chm/src/paslzxcomp.pas
  $0000000100061FA9  STARTCOMPRESSINGSTREAM,  line 944 of ../../packages/chm/src/chmwriter.pas
  $0000000100061877  EXECUTE,  line 846 of ../../packages/chm/src/chmwriter.pas
  $00000001000A3D8B  WRITEDOC,  line 703 of dw_chm.pp
  $00000001000C4BC3  CREATEOUTPUT,  line 247 of mkfpdoc.pp
  $00000001000C54A0  CREATEDOCUMENTATION,  line 327 of mkfpdoc.pp
  $0000000100004138  DORUN,  line 421 of fpdoc.pp
  $0000000100042B45
  $0000000100004427  main,  line 444 of fpdoc.pp
  $0000000100004446  main,  line 448 of fpdoc.pp
  $0000000100017D90
  $0000000100001940
  $00007FFE244E7034
  $00007FFE24B7D0D1
Heap dump by heaptrc unit of "G:\_PROJECTS\L01_Lazarus_contrib\fpcsrc\utils\fpdoc\fpdoc.exe"
143176 memory blocks allocated : 35778900/36125208
108350 memory blocks freed     : 27766114/28043656
34826 unfreed memory blocks : 8012786
True heap size : 19759104 (1376 used in System startup)
True free heap : 3508512
Should be : 4989584
Call trace for block $000000000692B7F0 size 36864
  $000000010001A02F
  $00000001000117BB
  $000000010002F3C4
  $000000010002F302
  $000000010002F60E
  $000000010002E8FB
  $000000010002EA80
  $0000000100061E81  POSTADDSTREAMTOARCHIVE,  line 920 of ../../packages/chm/src/chmwriter.pas
  $0000000100063F35  WRITEFIFTIMAIN,  line 1417 of ../../packages/chm/src/chmwriter.pas
  $00000001000644B1  WRITEFINALCOMPRESSEDFILES,  line 1504 of ../../packages/chm/src/chmwriter.pas
  $0000000100060B00  GETDATA,  line 700 of ../../packages/chm/src/chmwriter.pas
  $00000001000606B6  _GETDATA,  line 662 of ../../packages/chm/src/chmwriter.pas
  $0000000100069895  LZX_GET_CHARS,  line 467 of ../../packages/chm/src/paslzxcomp.pas
  $000000010013DC86  FILL_BLOCKBUF,  line 173 of ../../packages/chm/src/paslznonslide.pas
  $000000010013E238  LZ_COMPRESS,  line 284 of ../../packages/chm/src/paslznonslide.pas
  $000000010006B954  LZX_COMPRESS_BLOCK,  line 1000 of ../../packages/chm/src/paslzxcomp.pas
Call trace for block $00000000060C9F40 size 40
  $00000001000117DB
  $00000001000F74B7  ADDENTRY,  line 339 of ../../packages/chm/src/chmtypes.pas
  $0000000100061E13  POSTADDSTREAMTOARCHIVE,  line 918 of ../../packages/chm/src/chmwriter.pas
  $0000000100063F35  WRITEFIFTIMAIN,  line 1417 of ../../packages/chm/src/chmwriter.pas
  $00000001000644B1  WRITEFINALCOMPRESSEDFILES,  line 1504 of ../../packages/chm/src/chmwriter.pas
  $0000000100060B00  GETDATA,  line 700 of ../../packages/chm/src/chmwriter.pas
  $00000001000606B6  _GETDATA,  line 662 of ../../packages/chm/src/chmwriter.pas
  $0000000100069895  LZX_GET_CHARS,  line 467 of ../../packages/chm/src/paslzxcomp.pas
  $000000010013DC86  FILL_BLOCKBUF,  line 173 of ../../packages/chm/src/paslznonslide.pas
  $000000010013E238  LZ_COMPRESS,  line 284 of ../../packages/chm/src/paslznonslide.pas
  $000000010006B954  LZX_COMPRESS_BLOCK,  line 1000 of ../../packages/chm/src/paslzxcomp.pas
  $0000000100061F73  STARTCOMPRESSINGSTREAM,  line 938 of ../../packages/chm/src/chmwriter.pas
  $0000000100061877  EXECUTE,  line 846 of ../../packages/chm/src/chmwriter.pas
  $00000001000A3D8B  WRITEDOC,  line 703 of dw_chm.pp
  $00000001000C4BC3  CREATEOUTPUT,  line 247 of mkfpdoc.pp
  $00000001000C54A0  CREATEDOCUMENTATION,  line 327 of mkfpdoc.pp
Call trace for block $00000000065F73F0 size 8192
  $000000010001A02F
  $00000001000117BB
  $000000010002F3C4
  $000000010002F302
  $000000010002F60E
  $000000010002E8FB
  $000000010002EA80
  $000000010013FC5F  FLUSH,  line 502 of ../../packages/chm/src/chmfiftimain.pas
  $000000010013E9E3  PROCESSWORDS,  line 263 of ../../packages/chm/src/chmfiftimain.pas
  $000000010013F261  WRITETOSTREAM,  line 379 of ../../packages/chm/src/chmfiftimain.pas
  $0000000100063E84  WRITEFIFTIMAIN,  line 1410 of ../../packages/chm/src/chmwriter.pas
  $00000001000644B1  WRITEFINALCOMPRESSEDFILES,  line 1504 of ../../packages/chm/src/chmwriter.pas
  $0000000100060B00  GETDATA,  line 700 of ../../packages/chm/src/chmwriter.pas
  $00000001000606B6  _GETDATA,  line 662 of ../../packages/chm/src/chmwriter.pas
  $0000000100069895  LZX_GET_CHARS,  line 467 of ../../packages/chm/src/paslzxcomp.pas
  $000000010013DC86  FILL_BLOCKBUF,  line 173 of ../../packages/chm/src/paslznonslide.pas
Call trace for block $00000000060DEA40 size 40
  $00000001000117DB
  $00000001000F74B7  ADDENTRY,  line 339 of ../../packages/chm/src/chmtypes.pas
  $0000000100061E13  POSTADDSTREAMTOARCHIVE,  line 918 of ../../packages/chm/src/chmwriter.pas
  $0000000100062C81  WRITESTRINGS,  line 1135 of ../../packages/chm/src/chmwriter.pas
  $00000001000644A8  WRITEFINALCOMPRESSEDFILES,  line 1503 of ../../packages/chm/src/chmwriter.pas
  $0000000100060B00  GETDATA,  line 700 of ../../packages/chm/src/chmwriter.pas
  $00000001000606B6  _GETDATA,  line 662 of ../../packages/chm/src/chmwriter.pas
  $0000000100069895  LZX_GET_CHARS,  line 467 of ../../packages/chm/src/paslzxcomp.pas
  $000000010013DC86  FILL_BLOCKBUF,  line 173 of ../../packages/chm/src/paslznonslide.pas
  $000000010013E238  LZ_COMPRESS,  line 284 of ../../packages/chm/src/paslznonslide.pas
  $000000010006B954  LZX_COMPRESS_BLOCK,  line 1000 of ../../packages/chm/src/paslzxcomp.pas
  $0000000100061F73  STARTCOMPRESSINGSTREAM,  line 938 of ../../packages/chm/src/chmwriter.pas
  $0000000100061877  EXECUTE,  line 846 of ../../packages/chm/src/chmwriter.pas
  $00000001000A3D8B  WRITEDOC,  line 703 of dw_chm.pp
  $00000001000C4BC3  CREATEOUTPUT,  line 247 of mkfpdoc.pp
  $00000001000C54A0  CREATEDOCUMENTATION,  line 327 of mkfpdoc.pp
Call trace for block $00000000060C2A40 size 40
  $00000001000117DB
  $00000001000F74B7  ADDENTRY,  line 339 of ../../packages/chm/src/chmtypes.pas
  $0000000100061E13  POSTADDSTREAMTOARCHIVE,  line 918 of ../../packages/chm/src/chmwriter.pas
  $0000000100062E91  WRITEIDXHDR,  line 1159 of ../../packages/chm/src/chmwriter.pas
  $000000010006449F  WRITEFINALCOMPRESSEDFILES,  line 1502 of ../../packages/chm/src/chmwriter.pas
  $0000000100060B00  GETDATA,  line 700 of ../../packages/chm/src/chmwriter.pas
  $00000001000606B6  _GETDATA,  line 662 of ../../packages/chm/src/chmwriter.pas
  $0000000100069895  LZX_GET_CHARS,  line 467 of ../../packages/chm/src/paslzxcomp.pas
  $000000010013DC86  FILL_BLOCKBUF,  line 173 of ../../packages/chm/src/paslznonslide.pas
  $000000010013E238  LZ_COMPRESS,  line 284 of ../../packages/chm/src/paslznonslide.pas
  $000000010006B954  LZX_COMPRESS_BLOCK,  line 1000 of ../../packages/chm/src/paslzxcomp.pas
  $0000000100061F73  STARTCOMPRESSINGSTREAM,  line 938 of ../../packages/chm/src/chmwriter.pas
  $0000000100061877  EXECUTE,  line 846 of ../../packages/chm/src/chmwriter.pas
  $00000001000A3D8B  WRITEDOC,  line 703 of dw_chm.pp
  $00000001000C4BC3  CREATEOUTPUT,  line 247 of mkfpdoc.pp
  $00000001000C54A0  CREATEDOCUMENTATION,  line 327 of mkfpdoc.pp
Call trace for block $0000000006819130 size 4096
  $0000000100019E9D
  $00000001000117BB
  $000000010002F3C4
  $000000010002F302
  $000000010002F598
  $00000001000630E4  CREATEIDXHDRSTREAM,  line 1182 of ../../packages/chm/src/chmwriter.pas
  $0000000100064496  WRITEFINALCOMPRESSEDFILES,  line 1501 of ../../packages/chm/src/chmwriter.pas
  $0000000100060B00  GETDATA,  line 700 of ../../packages/chm/src/chmwriter.pas
  $00000001000606B6  _GETDATA,  line 662 of ../../packages/chm/src/chmwriter.pas
  $0000000100069895  LZX_GET_CHARS,  line 467 of ../../packages/chm/src/paslzxcomp.pas
  $000000010013DC86  FILL_BLOCKBUF,  line 173 of ../../packages/chm/src/paslznonslide.pas
  $000000010013E238  LZ_COMPRESS,  line 284 of ../../packages/chm/src/paslznonslide.pas
  $000000010006B954  LZX_COMPRESS_BLOCK,  line 1000 of ../../packages/chm/src/paslzxcomp.pas
  $0000000100061F73  STARTCOMPRESSINGSTREAM,  line 938 of ../../packages/chm/src/chmwriter.pas
  $0000000100061877  EXECUTE,  line 846 of ../../packages/chm/src/chmwriter.pas
  $00000001000A3D8B  WRITEDOC,  line 703 of dw_chm.pp
Call trace for block $00000000060BAD40 size 40
  $00000001000117DB
  $00000001000F74B7  ADDENTRY,  line 339 of ../../packages/chm/src/chmtypes.pas
  $0000000100061E13  POSTADDSTREAMTOARCHIVE,  line 918 of ../../packages/chm/src/chmwriter.pas
  $0000000100063919  WRITEURL_STR_TBL,  line 1274 of ../../packages/chm/src/chmwriter.pas
  $0000000100064484  WRITEFINALCOMPRESSEDFILES,  line 1499 of ../../packages/chm/src/chmwriter.pas
  $0000000100060B00  GETDATA,  line 700 of ../../packages/chm/src/chmwriter.pas
  $00000001000606B6  _GETDATA,  line 662 of ../../packages/chm/src/chmwriter.pas
  $0000000100069895  LZX_GET_CHARS,  line 467 of ../../packages/chm/src/paslzxcomp.pas
  $000000010013DC86  FILL_BLOCKBUF,  line 173 of ../../packages/chm/src/paslznonslide.pas
  $000000010013E238  LZ_COMPRESS,  line 284 of ../../packages/chm/src/paslznonslide.pas
  $000000010006B954  LZX_COMPRESS_BLOCK,  line 1000 of ../../packages/chm/src/paslzxcomp.pas
  $0000000100061F73  STARTCOMPRESSINGSTREAM,  line 938 of ../../packages/chm/src/chmwriter.pas
  $0000000100061877  EXECUTE,  line 846 of ../../packages/chm/src/chmwriter.pas
  $00000001000A3D8B  WRITEDOC,  line 703 of dw_chm.pp
  $00000001000C4BC3  CREATEOUTPUT,  line 247 of mkfpdoc.pp
  $00000001000C54A0  CREATEDOCUMENTATION,  line 327 of mkfpdoc.pp
Call trace for block $000000000591AB60 size 40
  $00000001000117DB
  $00000001000F74B7  ADDENTRY,  line 339 of ../../packages/chm/src/chmtypes.pas
  $0000000100061E13  POSTADDSTREAMTOARCHIVE,  line 918 of ../../packages/chm/src/chmwriter.pas
  $0000000100063871  WRITEURL_STR_TBL,  line 1270 of ../../packages/chm/src/chmwriter.pas
  $0000000100064484  WRITEFINALCOMPRESSEDFILES,  line 1499 of ../../packages/chm/src/chmwriter.pas
  $0000000100060B00  GETDATA,  line 700 of ../../packages/chm/src/chmwriter.pas
  $00000001000606B6  _GETDATA,  line 662 of ../../packages/chm/src/chmwriter.pas
  $0000000100069895  LZX_GET_CHARS,  line 467 of ../../packages/chm/src/paslzxcomp.pas
  $000000010013DC86  FILL_BLOCKBUF,  line 173 of ../../packages/chm/src/paslznonslide.pas
  $000000010013E238  LZ_COMPRESS,  line 284 of ../../packages/chm/src/paslznonslide.pas
  $000000010006B954  LZX_COMPRESS_BLOCK,  line 1000 of ../../packages/chm/src/paslzxcomp.pas
  $0000000100061F73  STARTCOMPRESSINGSTREAM,  line 938 of ../../packages/chm/src/chmwriter.pas
  $0000000100061877  EXECUTE,  line 846 of ../../packages/chm/src/chmwriter.pas
  $00000001000A3D8B  WRITEDOC,  line 703 of dw_chm.pp
  $00000001000C4BC3  CREATEOUTPUT,  line 247 of mkfpdoc.pp
  $00000001000C54A0  CREATEDOCUMENTATION,  line 327 of mkfpdoc.pp
Call trace for block $0000000005919960 size 40
  $00000001000117DB
  $00000001000F74B7  ADDENTRY,  line 339 of ../../packages/chm/src/chmtypes.pas
  $0000000100061E13  POSTADDSTREAMTOARCHIVE,  line 918 of ../../packages/chm/src/chmwriter.pas
  $0000000100062DB9  WRITETOPICS,  line 1148 of ../../packages/chm/src/chmwriter.pas
  $000000010006447B  WRITEFINALCOMPRESSEDFILES,  line 1498 of ../../packages/chm/src/chmwriter.pas
  $0000000100060B00  GETDATA,  line 700 of ../../packages/chm/src/chmwriter.pas
  $00000001000606B6  _GETDATA,  line 662 of ../../packages/chm/src/chmwriter.pas
  $0000000100069895  LZX_GET_CHARS,  line 467 of ../../packages/chm/src/paslzxcomp.pas
  $000000010013DC86  FILL_BLOCKBUF,  line 173 of ../../packages/chm/src/paslznonslide.pas
  $000000010013E238  LZ_COMPRESS,  line 284 of ../../packages/chm/src/paslznonslide.pas
  $000000010006B954  LZX_COMPRESS_BLOCK,  line 1000 of ../../packages/chm/src/paslzxcomp.pas
  $0000000100061F73  STARTCOMPRESSINGSTREAM,  line 938 of ../../packages/chm/src/chmwriter.pas
  $0000000100061877  EXECUTE,  line 846 of ../../packages/chm/src/chmwriter.pas
  $00000001000A3D8B  WRITEDOC,  line 703 of dw_chm.pp
  $00000001000C4BC3  CREATEOUTPUT,  line 247 of mkfpdoc.pp
  $00000001000C54A0  CREATEDOCUMENTATION,  line 327 of mkfpdoc.pp
Call trace for block $00000000060BD940 size 40
  $00000001000117DB
  $00000001000F74B7  ADDENTRY,  line 339 of ../../packages/chm/src/chmtypes.pas
  $0000000100061E13  POSTADDSTREAMTOARCHIVE,  line 918 of ../../packages/chm/src/chmwriter.pas
  $0000000100068A39  APPENDINDEX,  line 2513 of ../../packages/chm/src/chmwriter.pas
  $00000001000A34CD  GENERATEINDEX,  line 624 of dw_chm.pp
  $00000001000A157C  LASTFILEADDED,  line 246 of dw_chm.pp
  $0000000100060AC7  GETDATA,  line 698 of ../../packages/chm/src/chmwriter.pas
  $00000001000606B6  _GETDATA,  line 662 of ../../packages/chm/src/chmwriter.pas
  $0000000100069895  LZX_GET_CHARS,  line 467 of ../../packages/chm/src/paslzxcomp.pas
  $000000010013DC86  FILL_BLOCKBUF,  line 173 of ../../packages/chm/src/paslznonslide.pas
  $000000010013E238  LZ_COMPRESS,  line 284 of ../../packages/chm/src/paslznonslide.pas
  $000000010006B954  LZX_COMPRESS_BLOCK,  line 1000 of ../../packages/chm/src/paslzxcomp.pas
  $0000000100061F73  STARTCOMPRESSINGSTREAM,  line 938 of ../../packages/chm/src/chmwriter.pas
  $0000000100061877  EXECUTE,  line 846 of ../../packages/chm/src/chmwriter.pas
  $00000001000A3D8B  WRITEDOC,  line 703 of dw_chm.pp
  $00000001000C4BC3  CREATEOUTPUT,  line 247 of mkfpdoc.pp
Call trace for block $00000000060B1240 size 40
  $00000001000117DB
  $00000001000F74B7  ADDENTRY,  line 339 of ../../packages/chm/src/chmtypes.pas
  $0000000100061E13  POSTADDSTREAMTOARCHIVE,  line 918 of ../../packages/chm/src/chmwriter.pas
  $0000000100061A2C  ADDSTREAMTOARCHIVE,  line 878 of ../../packages/chm/src/chmwriter.pas
  $000000010006897E  STADD,  line 2494 of ../../packages/chm/src/chmwriter.pas
  $000000010006888E  APPENDBINARYINDEXSTREAM,  line 2502 of ../../packages/chm/src/chmwriter.pas
  $000000010006740E  APPENDBINARYINDEXFROMSITEMAP,  line 2466 of ../../packages/chm/src/chmwriter.pas
  $00000001000A347D  GENERATEINDEX,  line 621 of dw_chm.pp
  $00000001000A157C  LASTFILEADDED,  line 246 of dw_chm.pp
  $0000000100060AC7  GETDATA,  line 698 of ../../packages/chm/src/chmwriter.pas
  $00000001000606B6  _GETDATA,  line 662 of ../../packages/chm/src/chmwriter.pas
  $0000000100069895  LZX_GET_CHARS,  line 467 of ../../packages/chm/src/paslzxcomp.pas
  $000000010013DC86  FILL_BLOCKBUF,  line 173 of ../../packages/chm/src/paslznonslide.pas
  $000000010013E238  LZ_COMPRESS,  line 284 of ../../packages/chm/src/paslznonslide.pas
  $000000010006B954  LZX_COMPRESS_BLOCK,  line 1000 of ../../packages/chm/src/paslzxcomp.pas
  $0000000100061F73  STARTCOMPRESSINGSTREAM,  line 938 of ../../packages/chm/src/chmwriter.pas
Call trace for block $00000000060C0D40 size 40
  $00000001000117DB
  $00000001000F74B7  ADDENTRY,  line 339 of ../../packages/chm/src/chmtypes.pas
  $0000000100061E13  POSTADDSTREAMTOARCHIVE,  line 918 of ../../packages/chm/src/chmwriter.pas
  $0000000100061A2C  ADDSTREAMTOARCHIVE,  line 878 of ../../packages/chm/src/chmwriter.pas
  $000000010006897E  STADD,  line 2494 of ../../packages/chm/src/chmwriter.pas
  $000000010006887B  APPENDBINARYINDEXSTREAM,  line 2501 of ../../packages/chm/src/chmwriter.pas
  $000000010006740E  APPENDBINARYINDEXFROMSITEMAP,  line 2466 of ../../packages/chm/src/chmwriter.pas
  $00000001000A347D  GENERATEINDEX,  line 621 of dw_chm.pp
  $00000001000A157C  LASTFILEADDED,  line 246 of dw_chm.pp
  $0000000100060AC7  GETDATA,  line 698 of ../../packages/chm/src/chmwriter.pas
  $00000001000606B6  _GETDATA,  line 662 of ../../packages/chm/src/chmwriter.pas
  $0000000100069895  LZX_GET_CHARS,  line 467 of ../../packages/chm/src/paslzxcomp.pas
  $000000010013DC86  FILL_BLOCKBUF,  line 173 of ../../packages/chm/src/paslznonslide.pas
  $000000010013E238  LZ_COMPRESS,  line 284 of ../../packages/chm/src/paslznonslide.pas
  $000000010006B954  LZX_COMPRESS_BLOCK,  line 1000 of ../../packages/chm/src/paslzxcomp.pas
  $0000000100061F73  STARTCOMPRESSINGSTREAM,  line 938 of ../../packages/chm/src/chmwriter.pas
Call trace for block $00000000060C9140 size 40
  $00000001000117DB
  $00000001000F74B7  ADDENTRY,  line 339 of ../../packages/chm/src/chmtypes.pas
  $0000000100061E13  POSTADDSTREAMTOARCHIVE,  line 918 of ../../packages/chm/src/chmwriter.pas
  $0000000100061A2C  ADDSTREAMTOARCHIVE,  line 878 of ../../packages/chm/src/chmwriter.pas
  $000000010006897E  STADD,  line 2494 of ../../packages/chm/src/chmwriter.pas
  $0000000100068868  APPENDBINARYINDEXSTREAM,  line 2500 of ../../packages/chm/src/chmwriter.pas
  $000000010006740E  APPENDBINARYINDEXFROMSITEMAP,  line 2466 of ../../packages/chm/src/chmwriter.pas
  $00000001000A347D  GENERATEINDEX,  line 621 of dw_chm.pp
  $00000001000A157C  LASTFILEADDED,  line 246 of dw_chm.pp
  $0000000100060AC7  GETDATA,  line 698 of ../../packages/chm/src/chmwriter.pas
  $00000001000606B6  _GETDATA,  line 662 of ../../packages/chm/src/chmwriter.pas
  $0000000100069895  LZX_GET_CHARS,  line 467 of ../../packages/chm/src/paslzxcomp.pas
  $000000010013DC86  FILL_BLOCKBUF,  line 173 of ../../packages/chm/src/paslznonslide.pas
  $000000010013E238  LZ_COMPRESS,  line 284 of ../../packages/chm/src/paslznonslide.pas
  $000000010006B954  LZX_COMPRESS_BLOCK,  line 1000 of ../../packages/chm/src/paslzxcomp.pas
  $0000000100061F73  STARTCOMPRESSINGSTREAM,  line 938 of ../../packages/chm/src/chmwriter.pas
Call trace for block $00000000060A1440 size 40
  $00000001000117DB
  $00000001000F75BE  ADDENTRY,  line 350 of ../../packages/chm/src/chmtypes.pas
  $0000000100061E13  POSTADDSTREAMTOARCHIVE,  line 918 of ../../packages/chm/src/chmwriter.pas
  $0000000100061A2C  ADDSTREAMTOARCHIVE,  line 878 of ../../packages/chm/src/chmwriter.pas
  $000000010006897E  STADD,  line 2494 of ../../packages/chm/src/chmwriter.pas
  $0000000100068855  APPENDBINARYINDEXSTREAM,  line 2499 of ../../packages/chm/src/chmwriter.pas
  $000000010006740E  APPENDBINARYINDEXFROMSITEMAP,  line 2466 of ../../packages/chm/src/chmwriter.pas
  $00000001000A347D  GENERATEINDEX,  line 621 of dw_chm.pp
  $00000001000A157C  LASTFILEADDED,  line 246 of dw_chm.pp
  $0000000100060AC7  GETDATA,  line 698 of ../../packages/chm/src/chmwriter.pas
  $00000001000606B6  _GETDATA,  line 662 of ../../packages/chm/src/chmwriter.pas
  $0000000100069895  LZX_GET_CHARS,  line 467 of ../../packages/chm/src/paslzxcomp.pas
  $000000010013DC86  FILL_BLOCKBUF,  line 173 of ../../packages/chm/src/paslznonslide.pas
  $000000010013E238  LZ_COMPRESS,  line 284 of ../../packages/chm/src/paslznonslide.pas
  $000000010006B954  LZX_COMPRESS_BLOCK,  line 1000 of ../../packages/chm/src/paslzxcomp.pas
  $0000000100061F73  STARTCOMPRESSINGSTREAM,  line 938 of ../../packages/chm/src/chmwriter.pas
Call trace for block $000000000591D160 size 40
  $00000001000117DB
  $00000001000F74B7  ADDENTRY,  line 339 of ../../packages/chm/src/chmtypes.pas
  $0000000100061E13  POSTADDSTREAMTOARCHIVE,  line 918 of ../../packages/chm/src/chmwriter.pas
  $0000000100061A2C  ADDSTREAMTOARCHIVE,  line 878 of ../../packages/chm/src/chmwriter.pas
  $000000010006897E  STADD,  line 2494 of ../../packages/chm/src/chmwriter.pas
  $0000000100068855  APPENDBINARYINDEXSTREAM,  line 2499 of ../../packages/chm/src/chmwriter.pas
  $000000010006740E  APPENDBINARYINDEXFROMSITEMAP,  line 2466 of ../../packages/chm/src/chmwriter.pas
  $00000001000A347D  GENERATEINDEX,  line 621 of dw_chm.pp
  $00000001000A157C  LASTFILEADDED,  line 246 of dw_chm.pp
  $0000000100060AC7  GETDATA,  line 698 of ../../packages/chm/src/chmwriter.pas
  $00000001000606B6  _GETDATA,  line 662 of ../../packages/chm/src/chmwriter.pas
  $0000000100069895  LZX_GET_CHARS,  line 467 of ../../packages/chm/src/paslzxcomp.pas
  $000000010013DC86  FILL_BLOCKBUF,  line 173 of ../../packages/chm/src/paslznonslide.pas
  $000000010013E238  LZ_COMPRESS,  line 284 of ../../packages/chm/src/paslznonslide.pas
  $000000010006B954  LZX_COMPRESS_BLOCK,  line 1000 of ../../packages/chm/src/paslzxcomp.pas
  $0000000100061F73  STARTCOMPRESSINGSTREAM,  line 938 of ../../packages/chm/src/chmwriter.pas
Call trace for block $00000000060B4B40 size 40
  $00000001000117DB
  $00000001000F75BE  ADDENTRY,  line 350 of ../../packages/chm/src/chmtypes.pas
  $0000000100061E13  POSTADDSTREAMTOARCHIVE,  line 918 of ../../packages/chm/src/chmwriter.pas
  $0000000100061A2C  ADDSTREAMTOARCHIVE,  line 878 of ../../packages/chm/src/chmwriter.pas
  $0000000100068ADF  ADDDUMMYALINK,  line 2543 of ../../packages/chm/src/chmwriter.pas
  $0000000100068842  APPENDBINARYINDEXSTREAM,  line 2498 of ../../packages/chm/src/chmwriter.pas
  $000000010006740E  APPENDBINARYINDEXFROMSITEMAP,  line 2466 of ../../packages/chm/src/chmwriter.pas
  $00000001000A347D  GENERATEINDEX,  line 621 of dw_chm.pp
  $00000001000A157C  LASTFILEADDED,  line 246 of dw_chm.pp
  $0000000100060AC7  GETDATA,  line 698 of ../../packages/chm/src/chmwriter.pas
  $00000001000606B6  _GETDATA,  line 662 of ../../packages/chm/src/chmwriter.pas
  $0000000100069895  LZX_GET_CHARS,  line 467 of ../../packages/chm/src/paslzxcomp.pas
  $000000010013DC86  FILL_BLOCKBUF,  line 173 of ../../packages/chm/src/paslznonslide.pas
  $000000010013E238  LZ_COMPRESS,  line 284 of ../../packages/chm/src/paslznonslide.pas
  $000000010006B954  LZX_COMPRESS_BLOCK,  line 1000 of ../../packages/chm/src/paslzxcomp.pas
  $0000000100061F73  STARTCOMPRESSINGSTREAM,  line 938 of ../../packages/chm/src/chmwriter.pas
Call trace for block $00000000060B3F40 size 40
  $00000001000117DB
  $00000001000F74B7  ADDENTRY,  line 339 of ../../packages/chm/src/chmtypes.pas
  $0000000100061E13  POSTADDSTREAMTOARCHIVE,  line 918 of ../../packages/chm/src/chmwriter.pas
  $0000000100061A2C  ADDSTREAMTOARCHIVE,  line 878 of ../../packages/chm/src/chmwriter.pas
  $0000000100068ADF  ADDDUMMYALINK,  line 2543 of ../../packages/chm/src/chmwriter.pas
  $0000000100068842  APPENDBINARYINDEXSTREAM,  line 2498 of ../../packages/chm/src/chmwriter.pas
  $000000010006740E  APPENDBINARYINDEXFROMSITEMAP,  line 2466 of ../../packages/chm/src/chmwriter.pas
  $00000001000A347D  GENERATEINDEX,  line 621 of dw_chm.pp
  $00000001000A157C  LASTFILEADDED,  line 246 of dw_chm.pp
  $0000000100060AC7  GETDATA,  line 698 of ../../packages/chm/src/chmwriter.pas
  $00000001000606B6  _GETDATA,  line 662 of ../../packages/chm/src/chmwriter.pas
  $0000000100069895  LZX_GET_CHARS,  line 467 of ../../packages/chm/src/paslzxcomp.pas
  $000000010013DC86  FILL_BLOCKBUF,  line 173 of ../../packages/chm/src/paslznonslide.pas
  $000000010013E238  LZ_COMPRESS,  line 284 of ../../packages/chm/src/paslznonslide.pas
  $000000010006B954  LZX_COMPRESS_BLOCK,  line 1000 of ../../packages/chm/src/paslzxcomp.pas
  $0000000100061F73  STARTCOMPRESSINGSTREAM,  line 938 of ../../packages/chm/src/chmwriter.pas
Call trace for block $000000000692B3F0 size 784
  $000000010001A87B
  $000000010001179B
  $000000010000DE89
  $000000010005D9A0  REHASH,  line 486 of inc/generics.dictionaries.inc
  $000000010005D833  PREPAREADDINGITEM,  line 347 of inc/generics.dictionaries.inc
  $000000010005DCA2  DOADD,  line 397 of inc/generics.dictionaries.inc
  $000000010006578D  ADDTOPICINDEX,  line 1740 of ../../packages/chm/src/chmwriter.pas
  $0000000100067DE3  CREATEENTRY,  line 2143 of ../../packages/chm/src/chmwriter.pas
  $000000010006758F  COMBINEWITHCHILDREN,  line 2254 of ../../packages/chm/src/chmwriter.pas
  $0000000100066B42  APPENDBINARYINDEXFROMSITEMAP,  line 2339 of ../../packages/chm/src/chmwriter.pas
  $00000001000A347D  GENERATEINDEX,  line 621 of dw_chm.pp
  $00000001000A157C  LASTFILEADDED,  line 246 of dw_chm.pp
  $0000000100060AC7  GETDATA,  line 698 of ../../packages/chm/src/chmwriter.pas
  $00000001000606B6  _GETDATA,  line 662 of ../../packages/chm/src/chmwriter.pas
  $0000000100069895  LZX_GET_CHARS,  line 467 of ../../packages/chm/src/paslzxcomp.pas
  $000000010013DC86  FILL_BLOCKBUF,  line 173 of ../../packages/chm/src/paslznonslide.pas
Call trace for block $000000000608CA40 size 48
  $0000000100011702
  $000000010000EE0A
  $000000010000ECA4
  $00000001000FEF7B
  $00000001000FCAF3
  $00000001000FCA95
  $0000000100064D39  ADDSTRING,  line 1602 of ../../packages/chm/src/chmwriter.pas
  $000000010006553B  ADDTOPIC,  line 1688 of ../../packages/chm/src/chmwriter.pas
  $0000000100065766  ADDTOPICINDEX,  line 1739 of ../../packages/chm/src/chmwriter.pas
  $0000000100067DE3  CREATEENTRY,  line 2143 of ../../packages/chm/src/chmwriter.pas
  $000000010006758F  COMBINEWITHCHILDREN,  line 2254 of ../../packages/chm/src/chmwriter.pas
  $0000000100066B42  APPENDBINARYINDEXFROMSITEMAP,  line 2339 of ../../packages/chm/src/chmwriter.pas
  $00000001000A347D  GENERATEINDEX,  line 621 of dw_chm.pp
  $00000001000A157C  LASTFILEADDED,  line 246 of dw_chm.pp
  $0000000100060AC7  GETDATA,  line 698 of ../../packages/chm/src/chmwriter.pas
  $00000001000606B6  _GETDATA,  line 662 of ../../packages/chm/src/chmwriter.pas
Call trace for block $00000000060B0A40 size 24
  $0000000100011702
  $000000010000EE0A
  $000000010000ECA4
  $0000000100064CFB  ADDSTRING,  line 1599 of ../../packages/chm/src/chmwriter.pas
  $000000010006553B  ADDTOPIC,  line 1688 of ../../packages/chm/src/chmwriter.pas
  $0000000100065766  ADDTOPICINDEX,  line 1739 of ../../packages/chm/src/chmwriter.pas
  $0000000100067DE3  CREATEENTRY,  line 2143 of ../../packages/chm/src/chmwriter.pas
  $000000010006758F  COMBINEWITHCHILDREN,  line 2254 of ../../packages/chm/src/chmwriter.pas
  $0000000100066B42  APPENDBINARYINDEXFROMSITEMAP,  line 2339 of ../../packages/chm/src/chmwriter.pas
  $00000001000A347D  GENERATEINDEX,  line 621 of dw_chm.pp
  $00000001000A157C  LASTFILEADDED,  line 246 of dw_chm.pp
  $0000000100060AC7  GETDATA,  line 698 of ../../packages/chm/src/chmwriter.pas
  $00000001000606B6  _GETDATA,  line 662 of ../../packages/chm/src/chmwriter.pas
  $0000000100069895  LZX_GET_CHARS,  line 467 of ../../packages/chm/src/paslzxcomp.pas
  $000000010013DC86  FILL_BLOCKBUF,  line 173 of ../../packages/chm/src/paslznonslide.pas
  $000000010013E238  LZ_COMPRESS,  line 284 of ../../packages/chm/src/paslznonslide.pas
Call trace for block $00000000060B1040 size 48
  $0000000100011702
  $000000010000EE0A
  $000000010000ECA4
  $00000001000FEF7B
  $00000001000FCAF3
  $00000001000FCA95
  $0000000100064D39  ADDSTRING,  line 1602 of ../../packages/chm/src/chmwriter.pas
  $000000010006553B  ADDTOPIC,  line 1688 of ../../packages/chm/src/chmwriter.pas
  $0000000100065766  ADDTOPICINDEX,  line 1739 of ../../packages/chm/src/chmwriter.pas
  $0000000100067DE3  CREATEENTRY,  line 2143 of ../../packages/chm/src/chmwriter.pas
  $000000010006758F  COMBINEWITHCHILDREN,  line 2254 of ../../packages/chm/src/chmwriter.pas
  $0000000100066B42  APPENDBINARYINDEXFROMSITEMAP,  line 2339 of ../../packages/chm/src/chmwriter.pas
  $00000001000A347D  GENERATEINDEX,  line 621 of dw_chm.pp
  $00000001000A157C  LASTFILEADDED,  line 246 of dw_chm.pp
  $0000000100060AC7  GETDATA,  line 698 of ../../packages/chm/src/chmwriter.pas
  $00000001000606B6  _GETDATA,  line 662 of ../../packages/chm/src/chmwriter.pas
Call trace for block $00000000060BC340 size 24
  $0000000100011702
  $000000010000EE0A
  $000000010000ECA4
  $0000000100064CFB  ADDSTRING,  line 1599 of ../../packages/chm/src/chmwriter.pas
  $000000010006553B  ADDTOPIC,  line 1688 of ../../packages/chm/src/chmwriter.pas
  $0000000100065766  ADDTOPICINDEX,  line 1739 of ../../packages/chm/src/chmwriter.pas
  $0000000100067DE3  CREATEENTRY,  line 2143 of ../../packages/chm/src/chmwriter.pas
  $000000010006758F  COMBINEWITHCHILDREN,  line 2254 of ../../packages/chm/src/chmwriter.pas
  $0000000100066B42  APPENDBINARYINDEXFROMSITEMAP,  line 2339 of ../../packages/chm/src/chmwriter.pas
  $00000001000A347D  GENERATEINDEX,  line 621 of dw_chm.pp
  $00000001000A157C  LASTFILEADDED,  line 246 of dw_chm.pp
  $0000000100060AC7  GETDATA,  line 698 of ../../packages/chm/src/chmwriter.pas
  $00000001000606B6  _GETDATA,  line 662 of ../../packages/chm/src/chmwriter.pas
  $0000000100069895  LZX_GET_CHARS,  line 467 of ../../packages/chm/src/paslzxcomp.pas
  $000000010013DC86  FILL_BLOCKBUF,  line 173 of ../../packages/chm/src/paslznonslide.pas
  $000000010013E238  LZ_COMPRESS,  line 284 of ../../packages/chm/src/paslznonslide.pas
Call trace for block $000000000608AE40 size 48
  $0000000100011702
  $000000010000EE0A
  $000000010000ECA4
  $00000001000FEF7B
  $00000001000FCAF3
  $00000001000FCA95
  $0000000100064D39  ADDSTRING,  line 1602 of ../../packages/chm/src/chmwriter.pas
  $000000010006553B  ADDTOPIC,  line 1688 of ../../packages/chm/src/chmwriter.pas
  $0000000100065766  ADDTOPICINDEX,  line 1739 of ../../packages/chm/src/chmwriter.pas
  $0000000100067DE3  CREATEENTRY,  line 2143 of ../../packages/chm/src/chmwriter.pas
  $000000010006758F  COMBINEWITHCHILDREN,  line 2254 of ../../packages/chm/src/chmwriter.pas
  $0000000100066B42  APPENDBINARYINDEXFROMSITEMAP,  line 2339 of ../../packages/chm/src/chmwriter.pas
  $00000001000A347D  GENERATEINDEX,  line 621 of dw_chm.pp
  $00000001000A157C  LASTFILEADDED,  line 246 of dw_chm.pp
  $0000000100060AC7  GETDATA,  line 698 of ../../packages/chm/src/chmwriter.pas
  $00000001000606B6  _GETDATA,  line 662 of ../../packages/chm/src/chmwriter.pas
Call trace for block $00000000060B4140 size 24
  $0000000100011702
  $000000010000EE0A
  $000000010000ECA4
  $0000000100064CFB  ADDSTRING,  line 1599 of ../../packages/chm/src/chmwriter.pas
  $000000010006553B  ADDTOPIC,  line 1688 of ../../packages/chm/src/chmwriter.pas
  $0000000100065766  ADDTOPICINDEX,  line 1739 of ../../packages/chm/src/chmwriter.pas
  $0000000100067DE3  CREATEENTRY,  line 2143 of ../../packages/chm/src/chmwriter.pas
  $000000010006758F  COMBINEWITHCHILDREN,  line 2254 of ../../packages/chm/src/chmwriter.pas
  $0000000100066B42  APPENDBINARYINDEXFROMSITEMAP,  line 2339 of ../../packages/chm/src/chmwriter.pas
  $00000001000A347D  GENERATEINDEX,  line 621 of dw_chm.pp
  $00000001000A157C  LASTFILEADDED,  line 246 of dw_chm.pp
  $0000000100060AC7  GETDATA,  line 698 of ../../packages/chm/src/chmwriter.pas
  $00000001000606B6  _GETDATA,  line 662 of ../../packages/chm/src/chmwriter.pas
  $0000000100069895  LZX_GET_CHARS,  line 467 of ../../packages/chm/src/paslzxcomp.pas
  $000000010013DC86  FILL_BLOCKBUF,  line 173 of ../../packages/chm/src/paslznonslide.pas
  $000000010013E238  LZ_COMPRESS,  line 284 of ../../packages/chm/src/paslznonslide.pas
Call trace for block $00000000060B1740 size 48
  $0000000100011702
  $000000010000EE0A
  $000000010000ECA4
  $00000001000FEF7B
  $00000001000FCAF3
  $00000001000FCA95
  $0000000100064D39  ADDSTRING,  line 1602 of ../../packages/chm/src/chmwriter.pas
  $000000010006553B  ADDTOPIC,  line 1688 of ../../packages/chm/src/chmwriter.pas
  $0000000100065766  ADDTOPICINDEX,  line 1739 of ../../packages/chm/src/chmwriter.pas
  $0000000100067DE3  CREATEENTRY,  line 2143 of ../../packages/chm/src/chmwriter.pas
  $000000010006758F  COMBINEWITHCHILDREN,  line 2254 of ../../packages/chm/src/chmwriter.pas
  $0000000100066B42  APPENDBINARYINDEXFROMSITEMAP,  line 2339 of ../../packages/chm/src/chmwriter.pas
  $00000001000A347D  GENERATEINDEX,  line 621 of dw_chm.pp
  $00000001000A157C  LASTFILEADDED,  line 246 of dw_chm.pp
  $0000000100060AC7  GETDATA,  line 698 of ../../packages/chm/src/chmwriter.pas
  $00000001000606B6  _GETDATA,  line 662 of ../../packages/chm/src/chmwriter.pas
Call trace for block $000000000591D560 size 24
  $0000000100011702
  $000000010000EE0A
  $000000010000ECA4
  $0000000100064CFB  ADDSTRING,  line 1599 of ../../packages/chm/src/chmwriter.pas
  $000000010006553B  ADDTOPIC,  line 1688 of ../../packages/chm/src/chmwriter.pas
  $0000000100065766  ADDTOPICINDEX,  line 1739 of ../../packages/chm/src/chmwriter.pas
  $0000000100067DE3  CREATEENTRY,  line 2143 of ../../packages/chm/src/chmwriter.pas
  $000000010006758F  COMBINEWITHCHILDREN,  line 2254 of ../../packages/chm/src/chmwriter.pas
  $0000000100066B42  APPENDBINARYINDEXFROMSITEMAP,  line 2339 of ../../packages/chm/src/chmwriter.pas
  $00000001000A347D  GENERATEINDEX,  line 621 of dw_chm.pp
  $00000001000A157C  LASTFILEADDED,  line 246 of dw_chm.pp
  $0000000100060AC7  GETDATA,  line 698 of ../../packages/chm/src/chmwriter.pas
  $00000001000606B6  _GETDATA,  line 662 of ../../packages/chm/src/chmwriter.pas
  $0000000100069895  LZX_GET_CHARS,  line 467 of ../../packages/chm/src/paslzxcomp.pas
  $000000010013DC86  FILL_BLOCKBUF,  line 173 of ../../packages/chm/src/paslznonslide.pas
  $000000010013E238  LZ_COMPRESS,  line 284 of ../../packages/chm/src/paslznonslide.pas
Call trace for block $00000000060B0940 size 48
  $0000000100011702
  $000000010000EE0A
  $000000010000ECA4
  $00000001000FEF7B
  $00000001000FCAF3
  $00000001000FCA95
  $0000000100064D39  ADDSTRING,  line 1602 of ../../packages/chm/src/chmwriter.pas
  $000000010006553B  ADDTOPIC,  line 1688 of ../../packages/chm/src/chmwriter.pas
  $0000000100065766  ADDTOPICINDEX,  line 1739 of ../../packages/chm/src/chmwriter.pas
  $0000000100067DE3  CREATEENTRY,  line 2143 of ../../packages/chm/src/chmwriter.pas
  $000000010006758F  COMBINEWITHCHILDREN,  line 2254 of ../../packages/chm/src/chmwriter.pas
  $0000000100066B42  APPENDBINARYINDEXFROMSITEMAP,  line 2339 of ../../packages/chm/src/chmwriter.pas
  $00000001000A347D  GENERATEINDEX,  line 621 of dw_chm.pp
  $00000001000A157C  LASTFILEADDED,  line 246 of dw_chm.pp
  $0000000100060AC7  GETDATA,  line 698 of ../../packages/chm/src/chmwriter.pas
  $00000001000606B6  _GETDATA,  line 662 of ../../packages/chm/src/chmwriter.pas
Call trace for block $00000000060B2840 size 24
  $0000000100011702
  $000000010000EE0A
  $000000010000ECA4
  $0000000100064CFB  ADDSTRING,  line 1599 of ../../packages/chm/src/chmwriter.pas
  $000000010006553B  ADDTOPIC,  line 1688 of ../../packages/chm/src/chmwriter.pas
  $0000000100065766  ADDTOPICINDEX,  line 1739 of ../../packages/chm/src/chmwriter.pas
  $0000000100067DE3  CREATEENTRY,  line 2143 of ../../packages/chm/src/chmwriter.pas
  $000000010006758F  COMBINEWITHCHILDREN,  line 2254 of ../../packages/chm/src/chmwriter.pas
  $0000000100066B42  APPENDBINARYINDEXFROMSITEMAP,  line 2339 of ../../packages/chm/src/chmwriter.pas
  $00000001000A347D  GENERATEINDEX,  line 621 of dw_chm.pp
  $00000001000A157C  LASTFILEADDED,  line 246 of dw_chm.pp
  $0000000100060AC7  GETDATA,  line 698 of ../../packages/chm/src/chmwriter.pas
  $00000001000606B6  _GETDATA,  line 662 of ../../packages/chm/src/chmwriter.pas
  $0000000100069895  LZX_GET_CHARS,  line 467 of ../../packages/chm/src/paslzxcomp.pas
  $000000010013DC86  FILL_BLOCKBUF,  line 173 of ../../packages/chm/src/paslznonslide.pas
  $000000010013E238  LZ_COMPRESS,  line 284 of ../../packages/chm/src/paslznonslide.pas
Call trace for block $00000000060BA640 size 48
  $0000000100011702
  $000000010000EE0A
  $000000010000ECA4
  $00000001000FEF7B
  $00000001000FCAF3
  $00000001000FCA95
  $0000000100064D39  ADDSTRING,  line 1602 of ../../packages/chm/src/chmwriter.pas
  $000000010006553B  ADDTOPIC,  line 1688 of ../../packages/chm/src/chmwriter.pas
  $0000000100065766  ADDTOPICINDEX,  line 1739 of ../../packages/chm/src/chmwriter.pas
  $0000000100067DE3  CREATEENTRY,  line 2143 of ../../packages/chm/src/chmwriter.pas
  $000000010006758F  COMBINEWITHCHILDREN,  line 2254 of ../../packages/chm/src/chmwriter.pas
  $0000000100066B42  APPENDBINARYINDEXFROMSITEMAP,  line 2339 of ../../packages/chm/src/chmwriter.pas
  $00000001000A347D  GENERATEINDEX,  line 621 of dw_chm.pp
  $00000001000A157C  LASTFILEADDED,  line 246 of dw_chm.pp
  $0000000100060AC7  GETDATA,  line 698 of ../../packages/chm/src/chmwriter.pas
  $00000001000606B6  _GETDATA,  line 662 of ../../packages/chm/src/chmwriter.pas
Call trace for block $00000000060C9040 size 24
  $0000000100011702
  $000000010000EE0A
  $000000010000ECA4
  $0000000100064CFB  ADDSTRING,  line 1599 of ../../packages/chm/src/chmwriter.pas
  $000000010006553B  ADDTOPIC,  line 1688 of ../../packages/chm/src/chmwriter.pas
  $0000000100065766  ADDTOPICINDEX,  line 1739 of ../../packages/chm/src/chmwriter.pas
  $0000000100067DE3  CREATEENTRY,  line 2143 of ../../packages/chm/src/chmwriter.pas
  $000000010006758F  COMBINEWITHCHILDREN,  line 2254 of ../../packages/chm/src/chmwriter.pas
  $0000000100066B42  APPENDBINARYINDEXFROMSITEMAP,  line 2339 of ../../packages/chm/src/chmwriter.pas
  $00000001000A347D  GENERATEINDEX,  line 621 of dw_chm.pp
  $00000001000A157C  LASTFILEADDED,  line 246 of dw_chm.pp
  $0000000100060AC7  GETDATA,  line 698 of ../../packages/chm/src/chmwriter.pas
  $00000001000606B6  _GETDATA,  line 662 of ../../packages/chm/src/chmwriter.pas
  $0000000100069895  LZX_GET_CHARS,  line 467 of ../../packages/chm/src/paslzxcomp.pas
  $000000010013DC86  FILL_BLOCKBUF,  line 173 of ../../packages/chm/src/paslznonslide.pas
  $000000010013E238  LZ_COMPRESS,  line 284 of ../../packages/chm/src/paslznonslide.pas
Call trace for block $00000000060B2240 size 48
  $0000000100011702
  $000000010000EE0A
  $000000010000ECA4
  $00000001000FEF7B
  $00000001000FCAF3
  $00000001000FCA95
  $0000000100064D39  ADDSTRING,  line 1602 of ../../packages/chm/src/chmwriter.pas
  $000000010006553B  ADDTOPIC,  line 1688 of ../../packages/chm/src/chmwriter.pas
  $0000000100065766  ADDTOPICINDEX,  line 1739 of ../../packages/chm/src/chmwriter.pas
  $0000000100067DE3  CREATEENTRY,  line 2143 of ../../packages/chm/src/chmwriter.pas
  $000000010006758F  COMBINEWITHCHILDREN,  line 2254 of ../../packages/chm/src/chmwriter.pas
  $0000000100066B42  APPENDBINARYINDEXFROMSITEMAP,  line 2339 of ../../packages/chm/src/chmwriter.pas
  $00000001000A347D  GENERATEINDEX,  line 621 of dw_chm.pp
  $00000001000A157C  LASTFILEADDED,  line 246 of dw_chm.pp
  $0000000100060AC7  GETDATA,  line 698 of ../../packages/chm/src/chmwriter.pas
  $00000001000606B6  _GETDATA,  line 662 of ../../packages/chm/src/chmwriter.pas
Call trace for block $00000000060C1540 size 24
  $0000000100011702
  $000000010000EE0A
  $000000010000ECA4
  $0000000100064CFB  ADDSTRING,  line 1599 of ../../packages/chm/src/chmwriter.pas
  $000000010006553B  ADDTOPIC,  line 1688 of ../../packages/chm/src/chmwriter.pas
  $0000000100065766  ADDTOPICINDEX,  line 1739 of ../../packages/chm/src/chmwriter.pas
  $0000000100067DE3  CREATEENTRY,  line 2143 of ../../packages/chm/src/chmwriter.pas
  $000000010006758F  COMBINEWITHCHILDREN,  line 2254 of ../../packages/chm/src/chmwriter.pas
  $0000000100066B42  APPENDBINARYINDEXFROMSITEMAP,  line 2339 of ../../packages/chm/src/chmwriter.pas
  $00000001000A347D  GENERATEINDEX,  line 621 of dw_chm.pp
  $00000001000A157C  LASTFILEADDED,  line 246 of dw_chm.pp
  $0000000100060AC7  GETDATA,  line 698 of ../../packages/chm/src/chmwriter.pas
  $00000001000606B6  _GETDATA,  line 662 of ../../packages/chm/src/chmwriter.pas
  $0000000100069895  LZX_GET_CHARS,  line 467 of ../../packages/chm/src/paslzxcomp.pas
  $000000010013DC86  FILL_BLOCKBUF,  line 173 of ../../packages/chm/src/paslznonslide.pas
  $000000010013E238  LZ_COMPRESS,  line 284 of ../../packages/chm/src/paslznonslide.pas
Call trace for block $00000000059F60C0 size 51
  $0000000100011702
  $00000001000093E3
  $000000010000A77A
  $000000010000A7DE
  $00000001000250DA
  $0000000100024F44
  $00000001000C9560  FIXHTMLPATH,  line 166 of dw_basehtml.pp
  $00000001000A196C  MULTIALPHAITEM,  line 296 of dw_chm.pp
  $00000001000A33B4  GENERATEINDEX,  line 590 of dw_chm.pp
  $00000001000A157C  LASTFILEADDED,  line 246 of dw_chm.pp
  $0000000100060AC7  GETDATA,  line 698 of ../../packages/chm/src/chmwriter.pas
  $00000001000606B6  _GETDATA,  line 662 of ../../packages/chm/src/chmwriter.pas
  $0000000100069895  LZX_GET_CHARS,  line 467 of ../../packages/chm/src/paslzxcomp.pas
  $000000010013DC86  FILL_BLOCKBUF,  line 173 of ../../packages/chm/src/paslznonslide.pas
  $000000010013E238  LZ_COMPRESS,  line 284 of ../../packages/chm/src/paslznonslide.pas
  $000000010006B954  LZX_COMPRESS_BLOCK,  line 1000 of ../../packages/chm/src/paslzxcomp.pas
Call trace for block $00000000060C2440 size 46
  $0000000100011702
  $00000001000093E3
  $000000010000A6D8
  $000000010000984F
  $00000001000A338E  GENERATEINDEX,  line 589 of dw_chm.pp
  $00000001000A157C  LASTFILEADDED,  line 246 of dw_chm.pp
  $0000000100060AC7  GETDATA,  line 698 of ../../packages/chm/src/chmwriter.pas
  $00000001000606B6  _GETDATA,  line 662 of ../../packages/chm/src/chmwriter.pas
  $0000000100069895  LZX_GET_CHARS,  line 467 of ../../packages/chm/src/paslzxcomp.pas
  $000000010013DC86  FILL_BLOCKBUF,  line 173 of ../../packages/chm/src/paslznonslide.pas
  $000000010013E238  LZ_COMPRESS,  line 284 of ../../packages/chm/src/paslznonslide.pas
  $000000010006B954  LZX_COMPRESS_BLOCK,  line 1000 of ../../packages/chm/src/paslzxcomp.pas
  $0000000100061F73  STARTCOMPRESSINGSTREAM,  line 938 of ../../packages/chm/src/chmwriter.pas
  $0000000100061877  EXECUTE,  line 846 of ../../packages/chm/src/chmwriter.pas
  $00000001000A3D8B  WRITEDOC,  line 703 of dw_chm.pp
  $00000001000C4BC3  CREATEOUTPUT,  line 247 of mkfpdoc.pp
Call trace for block $00000000060CFD40 size 44
  $0000000100011702
  $00000001000093E3
  $000000010000A77A
  $000000010000A7DE
  $00000001000250DA
  $0000000100024F44
  $00000001000C9560  FIXHTMLPATH,  line 166 of dw_basehtml.pp
  $00000001000A196C  MULTIALPHAITEM,  line 296 of dw_chm.pp
  $00000001000A33B4  GENERATEINDEX,  line 590 of dw_chm.pp
  $00000001000A157C  LASTFILEADDED,  line 246 of dw_chm.pp
  $0000000100060AC7  GETDATA,  line 698 of ../../packages/chm/src/chmwriter.pas
  $00000001000606B6  _GETDATA,  line 662 of ../../packages/chm/src/chmwriter.pas
  $0000000100069895  LZX_GET_CHARS,  line 467 of ../../packages/chm/src/paslzxcomp.pas
  $000000010013DC86  FILL_BLOCKBUF,  line 173 of ../../packages/chm/src/paslznonslide.pas
  $000000010013E238  LZ_COMPRESS,  line 284 of ../../packages/chm/src/paslznonslide.pas
  $000000010006B954  LZX_COMPRESS_BLOCK,  line 1000 of ../../packages/chm/src/paslzxcomp.pas
Call trace for block $00000000060CAE40 size 39
  $0000000100011702
  $00000001000093E3
  $000000010000A6D8
  $000000010000984F
  $00000001000A338E  GENERATEINDEX,  line 589 of dw_chm.pp
  $00000001000A157C  LASTFILEADDED,  line 246 of dw_chm.pp
  $0000000100060AC7  GETDATA,  line 698 of ../../packages/chm/src/chmwriter.pas
  $00000001000606B6  _GETDATA,  line 662 of ../../packages/chm/src/chmwriter.pas
  $0000000100069895  LZX_GET_CHARS,  line 467 of ../../packages/chm/src/paslzxcomp.pas
  $000000010013DC86  FILL_BLOCKBUF,  line 173 of ../../packages/chm/src/paslznonslide.pas
  $000000010013E238  LZ_COMPRESS,  line 284 of ../../packages/chm/src/paslznonslide.pas
  $000000010006B954  LZX_COMPRESS_BLOCK,  line 1000 of ../../packages/chm/src/paslzxcomp.pas
  $0000000100061F73  STARTCOMPRESSINGSTREAM,  line 938 of ../../packages/chm/src/chmwriter.pas
  $0000000100061877  EXECUTE,  line 846 of ../../packages/chm/src/chmwriter.pas
  $00000001000A3D8B  WRITEDOC,  line 703 of dw_chm.pp
  $00000001000C4BC3  CREATEOUTPUT,  line 247 of mkfpdoc.pp
Call trace for block $00000000059F5B20 size 52
  $0000000100011702
  $00000001000093E3
  $000000010000A77A
  $000000010000A7DE
  $00000001000250DA
  $0000000100024F44
  $00000001000C9560  FIXHTMLPATH,  line 166 of dw_basehtml.pp
  $00000001000A196C  MULTIALPHAITEM,  line 296 of dw_chm.pp
  $00000001000A3037  GENERATEINDEX,  line 551 of dw_chm.pp
  $00000001000A157C  LASTFILEADDED,  line 246 of dw_chm.pp
  $0000000100060AC7  GETDATA,  line 698 of ../../packages/chm/src/chmwriter.pas
  $00000001000606B6  _GETDATA,  line 662 of ../../packages/chm/src/chmwriter.pas
  $0000000100069895  LZX_GET_CHARS,  line 467 of ../../packages/chm/src/paslzxcomp.pas
  $000000010013DC86  FILL_BLOCKBUF,  line 173 of ../../packages/chm/src/paslznonslide.pas
  $000000010013E238  LZ_COMPRESS,  line 284 of ../../packages/chm/src/paslznonslide.pas
  $000000010006B954  LZX_COMPRESS_BLOCK,  line 1000 of ../../packages/chm/src/paslzxcomp.pas
Call trace for block $00000000059F57C0 size 49
  $0000000100011702
  $00000001000093E3
  $000000010000A61B
  $0000000100009C2C
  $00000001000A3011  GENERATEINDEX,  line 550 of dw_chm.pp
  $00000001000A157C  LASTFILEADDED,  line 246 of dw_chm.pp
  $0000000100060AC7  GETDATA,  line 698 of ../../packages/chm/src/chmwriter.pas
  $00000001000606B6  _GETDATA,  line 662 of ../../packages/chm/src/chmwriter.pas
  $0000000100069895  LZX_GET_CHARS,  line 467 of ../../packages/chm/src/paslzxcomp.pas
  $000000010013DC86  FILL_BLOCKBUF,  line 173 of ../../packages/chm/src/paslznonslide.pas
  $000000010013E238  LZ_COMPRESS,  line 284 of ../../packages/chm/src/paslznonslide.pas
  $000000010006B954  LZX_COMPRESS_BLOCK,  line 1000 of ../../packages/chm/src/paslzxcomp.pas
  $0000000100061F73  STARTCOMPRESSINGSTREAM,  line 938 of ../../packages/chm/src/chmwriter.pas
  $0000000100061877  EXECUTE,  line 846 of ../../packages/chm/src/chmwriter.pas
  $00000001000A3D8B  WRITEDOC,  line 703 of dw_chm.pp
  $00000001000C4BC3  CREATEOUTPUT,  line 247 of mkfpdoc.pp
Call trace for block $00000000059F56A0 size 51
  $0000000100011702
  $00000001000093E3
  $000000010000A77A
  $000000010000A7DE
  $00000001000250DA
  $0000000100024F44
  $00000001000C9560  FIXHTMLPATH,  line 166 of dw_basehtml.pp
  $00000001000A196C  MULTIALPHAITEM,  line 296 of dw_chm.pp
  $00000001000A3037  GENERATEINDEX,  line 551 of dw_chm.pp
  $00000001000A157C  LASTFILEADDED,  line 246 of dw_chm.pp
  $0000000100060AC7  GETDATA,  line 698 of ../../packages/chm/src/chmwriter.pas
  $00000001000606B6  _GETDATA,  line 662 of ../../packages/chm/src/chmwriter.pas
  $0000000100069895  LZX_GET_CHARS,  line 467 of ../../packages/chm/src/paslzxcomp.pas
  $000000010013DC86  FILL_BLOCKBUF,  line 173 of ../../packages/chm/src/paslznonslide.pas
  $000000010013E238  LZ_COMPRESS,  line 284 of ../../packages/chm/src/paslznonslide.pas
  $000000010006B954  LZX_COMPRESS_BLOCK,  line 1000 of ../../packages/chm/src/paslzxcomp.pas
Call trace for block $00000000060CA640 size 46
  $0000000100011702
  $00000001000093E3
  $000000010000A61B
  $0000000100009C2C
  $00000001000A3011  GENERATEINDEX,  line 550 of dw_chm.pp
  $00000001000A157C  LASTFILEADDED,  line 246 of dw_chm.pp
  $0000000100060AC7  GETDATA,  line 698 of ../../packages/chm/src/chmwriter.pas
  $00000001000606B6  _GETDATA,  line 662 of ../../packages/chm/src/chmwriter.pas
  $0000000100069895  LZX_GET_CHARS,  line 467 of ../../packages/chm/src/paslzxcomp.pas
  $000000010013DC86  FILL_BLOCKBUF,  line 173 of ../../packages/chm/src/paslznonslide.pas
  $000000010013E238  LZ_COMPRESS,  line 284 of ../../packages/chm/src/paslznonslide.pas
  $000000010006B954  LZX_COMPRESS_BLOCK,  line 1000 of ../../packages/chm/src/paslzxcomp.pas
  $0000000100061F73  STARTCOMPRESSINGSTREAM,  line 938 of ../../packages/chm/src/chmwriter.pas
  $0000000100061877  EXECUTE,  line 846 of ../../packages/chm/src/chmwriter.pas
  $00000001000A3D8B  WRITEDOC,  line 703 of dw_chm.pp
  $00000001000C4BC3  CREATEOUTPUT,  line 247 of mkfpdoc.pp
Call trace for block $00000000059F5100 size 58
  $0000000100011702
  $00000001000093E3
  $000000010000A77A
  $000000010000A7DE
  $00000001000250DA
  $0000000100024F44
  $00000001000C9560  FIXHTMLPATH,  line 166 of dw_basehtml.pp
  $00000001000A2A58  GENERATEINDEX,  line 497 of dw_chm.pp
  $00000001000A157C  LASTFILEADDED,  line 246 of dw_chm.pp
  $0000000100060AC7  GETDATA,  line 698 of ../../packages/chm/src/chmwriter.pas
  $00000001000606B6  _GETDATA,  line 662 of ../../packages/chm/src/chmwriter.pas
  $0000000100069895  LZX_GET_CHARS,  line 467 of ../../packages/chm/src/paslzxcomp.pas
  $000000010013DC86  FILL_BLOCKBUF,  line 173 of ../../packages/chm/src/paslznonslide.pas
  $000000010013E238  LZ_COMPRESS,  line 284 of ../../packages/chm/src/paslznonslide.pas
  $000000010006B954  LZX_COMPRESS_BLOCK,  line 1000 of ../../packages/chm/src/paslzxcomp.pas
  $0000000100061F73  STARTCOMPRESSINGSTREAM,  line 938 of ../../packages/chm/src/chmwriter.pas
Call trace for block $00000000059F45C0 size 51
  $0000000100011702
  $00000001000093E3
  $000000010000A77A
  $000000010000A7DE
  $00000001000250DA
  $0000000100024F44
  $00000001000C9560  FIXHTMLPATH,  line 166 of dw_basehtml.pp
  $00000001000A2922  GENERATEINDEX,  line 489 of dw_chm.pp
  $00000001000A157C  LASTFILEADDED,  line 246 of dw_chm.pp
  $0000000100060AC7  GETDATA,  line 698 of ../../packages/chm/src/chmwriter.pas
  $00000001000606B6  _GETDATA,  line 662 of ../../packages/chm/src/chmwriter.pas
  $0000000100069895  LZX_GET_CHARS,  line 467 of ../../packages/chm/src/paslzxcomp.pas
  $000000010013DC86  FILL_BLOCKBUF,  line 173 of ../../packages/chm/src/paslznonslide.pas
  $000000010013E238  LZ_COMPRESS,  line 284 of ../../packages/chm/src/paslznonslide.pas
  $000000010006B954  LZX_COMPRESS_BLOCK,  line 1000 of ../../packages/chm/src/paslzxcomp.pas
  $0000000100061F73  STARTCOMPRESSINGSTREAM,  line 938 of ../../packages/chm/src/chmwriter.pas
Call trace for block $00000000059F29A0 size 51
  $0000000100011702
  $00000001000093E3
  $000000010000A77A
  $000000010000A7DE
  $00000001000250DA
  $0000000100024F44
  $00000001000C9560  FIXHTMLPATH,  line 166 of dw_basehtml.pp
  $00000001000A2922  GENERATEINDEX,  line 489 of dw_chm.pp
  $00000001000A157C  LASTFILEADDED,  line 246 of dw_chm.pp
  $0000000100060AC7  GETDATA,  line 698 of ../../packages/chm/src/chmwriter.pas
  $00000001000606B6  _GETDATA,  line 662 of ../../packages/chm/src/chmwriter.pas
  $0000000100069895  LZX_GET_CHARS,  line 467 of ../../packages/chm/src/paslzxcomp.pas
  $000000010013DC86  FILL_BLOCKBUF,  line 173 of ../../packages/chm/src/paslznonslide.pas
  $000000010013E238  LZ_COMPRESS,  line 284 of ../../packages/chm/src/paslznonslide.pas
  $000000010006B954  LZX_COMPRESS_BLOCK,  line 1000 of ../../packages/chm/src/paslzxcomp.pas
  $0000000100061F73  STARTCOMPRESSINGSTREAM,  line 938 of ../../packages/chm/src/chmwriter.pas
Call trace for block $00000000059F44A0 size 68
  $0000000100011702
  $00000001000093E3
  $000000010000A77A
  $000000010000A7DE
  $00000001000250DA
  $0000000100024F44
  $00000001000C9560  FIXHTMLPATH,  line 166 of dw_basehtml.pp
  $00000001000A2A58  GENERATEINDEX,  line 497 of dw_chm.pp
  $00000001000A157C  LASTFILEADDED,  line 246 of dw_chm.pp
  $0000000100060AC7  GETDATA,  line 698 of ../../packages/chm/src/chmwriter.pas
  $00000001000606B6  _GETDATA,  line 662 of ../../packages/chm/src/chmwriter.pas
  $0000000100069895  LZX_GET_CHARS,  line 467 of ../../packages/chm/src/paslzxcomp.pas
  $000000010013DC86  FILL_BLOCKBUF,  line 173 of ../../packages/chm/src/paslznonslide.pas
  $000000010013E238  LZ_COMPRESS,  line 284 of ../../packages/chm/src/paslznonslide.pas
  $000000010006B954  LZX_COMPRESS_BLOCK,  line 1000 of ../../packages/chm/src/paslzxcomp.pas
  $0000000100061F73  STARTCOMPRESSINGSTREAM,  line 938 of ../../packages/chm/src/chmwriter.pas
Call trace for block $00000000059F3F00 size 68
  $0000000100011702
  $00000001000093E3
  $000000010000A77A
  $000000010000A7DE
  $00000001000250DA
  $0000000100024F44
  $00000001000C9560  FIXHTMLPATH,  line 166 of dw_basehtml.pp
  $00000001000A2A58  GENERATEINDEX,  line 497 of dw_chm.pp
  $00000001000A157C  LASTFILEADDED,  line 246 of dw_chm.pp
  $0000000100060AC7  GETDATA,  line 698 of ../../packages/chm/src/chmwriter.pas
  $00000001000606B6  _GETDATA,  line 662 of ../../packages/chm/src/chmwriter.pas
  $0000000100069895  LZX_GET_CHARS,  line 467 of ../../packages/chm/src/paslzxcomp.pas
  $000000010013DC86  FILL_BLOCKBUF,  line 173 of ../../packages/chm/src/paslznonslide.pas
  $000000010013E238  LZ_COMPRESS,  line 284 of ../../packages/chm/src/paslznonslide.pas
  $000000010006B954  LZX_COMPRESS_BLOCK,  line 1000 of ../../packages/chm/src/paslzxcomp.pas
  $0000000100061F73  STARTCOMPRESSINGSTREAM,  line 938 of ../../packages/chm/src/chmwriter.pas
Call trace for block $00000000059F2E20 size 54
  $0000000100011702
  $00000001000093E3
  $000000010000A77A
  $000000010000A7DE
  $00000001000250DA
  $0000000100024F44
  $00000001000C9560  FIXHTMLPATH,  line 166 of dw_basehtml.pp
  $00000001000A2922  GENERATEINDEX,  line 489 of dw_chm.pp
  $00000001000A157C  LASTFILEADDED,  line 246 of dw_chm.pp
  $0000000100060AC7  GETDATA,  line 698 of ../../packages/chm/src/chmwriter.pas
  $00000001000606B6  _GETDATA,  line 662 of ../../packages/chm/src/chmwriter.pas
  $0000000100069895  LZX_GET_CHARS,  line 467 of ../../packages/chm/src/paslzxcomp.pas
  $000000010013DC86  FILL_BLOCKBUF,  line 173 of ../../packages/chm/src/paslznonslide.pas
  $000000010013E238  LZ_COMPRESS,  line 284 of ../../packages/chm/src/paslznonslide.pas
  $000000010006B954  LZX_COMPRESS_BLOCK,  line 1000 of ../../packages/chm/src/paslzxcomp.pas
  $0000000100061F73  STARTCOMPRESSINGSTREAM,  line 938 of ../../packages/chm/src/chmwriter.pas
Call trace for block $00000000059F2400 size 65
  $0000000100011702
  $00000001000093E3
  $000000010000A77A
  $000000010000A7DE
  $00000001000250DA
  $0000000100024F44
  $00000001000C9560  FIXHTMLPATH,  line 166 of dw_basehtml.pp
  $00000001000A2A58  GENERATEINDEX,  line 497 of dw_chm.pp
  $00000001000A157C  LASTFILEADDED,  line 246 of dw_chm.pp
  $0000000100060AC7  GETDATA,  line 698 of ../../packages/chm/src/chmwriter.pas
  $00000001000606B6  _GETDATA,  line 662 of ../../packages/chm/src/chmwriter.pas
  $0000000100069895  LZX_GET_CHARS,  line 467 of ../../packages/chm/src/paslzxcomp.pas
  $000000010013DC86  FILL_BLOCKBUF,  line 173 of ../../packages/chm/src/paslznonslide.pas
  $000000010013E238  LZ_COMPRESS,  line 284 of ../../packages/chm/src/paslznonslide.pas
  $000000010006B954  LZX_COMPRESS_BLOCK,  line 1000 of ../../packages/chm/src/paslzxcomp.pas
  $0000000100061F73  STARTCOMPRESSINGSTREAM,  line 938 of ../../packages/chm/src/chmwriter.pas
Call trace for block $00000000059F07E0 size 65
  $0000000100011702
  $00000001000093E3
  $000000010000A77A
  $000000010000A7DE
  $00000001000250DA
  $0000000100024F44
  $00000001000C9560  FIXHTMLPATH,  line 166 of dw_basehtml.pp
  $00000001000A2A58  GENERATEINDEX,  line 497 of dw_chm.pp
  $00000001000A157C  LASTFILEADDED,  line 246 of dw_chm.pp
  $0000000100060AC7  GETDATA,  line 698 of ../../packages/chm/src/chmwriter.pas
  $00000001000606B6  _GETDATA,  line 662 of ../../packages/chm/src/chmwriter.pas
  $0000000100069895  LZX_GET_CHARS,  line 467 of ../../packages/chm/src/paslzxcomp.pas
  $000000010013DC86  FILL_BLOCKBUF,  line 173 of ../../packages/chm/src/paslznonslide.pas
  $000000010013E238  LZ_COMPRESS,  line 284 of ../../packages/chm/src/paslznonslide.pas
  $000000010006B954  LZX_COMPRESS_BLOCK,  line 1000 of ../../packages/chm/src/paslzxcomp.pas
  $0000000100061F73  STARTCOMPRESSINGSTREAM,  line 938 of ../../packages/chm/src/chmwriter.pas
Call trace for block $00000000059F32A0 size 51
  $0000000100011702
  $00000001000093E3
  $000000010000A77A
  $000000010000A7DE
  $00000001000250DA
  $0000000100024F44
  $00000001000C9560  FIXHTMLPATH,  line 166 of dw_basehtml.pp
  $00000001000A2922  GENERATEINDEX,  line 489 of dw_chm.pp
  $00000001000A157C  LASTFILEADDED,  line 246 of dw_chm.pp
  $0000000100060AC7  GETDATA,  line 698 of ../../packages/chm/src/chmwriter.pas
  $00000001000606B6  _GETDATA,  line 662 of ../../packages/chm/src/chmwriter.pas
  $0000000100069895  LZX_GET_CHARS,  line 467 of ../../packages/chm/src/paslzxcomp.pas
  $000000010013DC86  FILL_BLOCKBUF,  line 173 of ../../packages/chm/src/paslznonslide.pas
  $000000010013E238  LZ_COMPRESS,  line 284 of ../../packages/chm/src/paslznonslide.pas
  $000000010006B954  LZX_COMPRESS_BLOCK,  line 1000 of ../../packages/chm/src/paslzxcomp.pas
  $0000000100061F73  STARTCOMPRESSINGSTREAM,  line 938 of ../../packages/chm/src/chmwriter.pas
Call trace for block $00000000059F22E0 size 59
  $0000000100011702
  $00000001000093E3
  $000000010000A77A
  $000000010000A7DE
  $00000001000250DA
  $0000000100024F44
  $00000001000C9560  FIXHTMLPATH,  line 166 of dw_basehtml.pp
  $00000001000A2A58  GENERATEINDEX,  line 497 of dw_chm.pp
  $00000001000A157C  LASTFILEADDED,  line 246 of dw_chm.pp
  $0000000100060AC7  GETDATA,  line 698 of ../../packages/chm/src/chmwriter.pas
  $00000001000606B6  _GETDATA,  line 662 of ../../packages/chm/src/chmwriter.pas
  $0000000100069895  LZX_GET_CHARS,  line 467 of ../../packages/chm/src/paslzxcomp.pas
  $000000010013DC86  FILL_BLOCKBUF,  line 173 of ../../packages/chm/src/paslznonslide.pas
  $000000010013E238  LZ_COMPRESS,  line 284 of ../../packages/chm/src/paslznonslide.pas
  $000000010006B954  LZX_COMPRESS_BLOCK,  line 1000 of ../../packages/chm/src/paslzxcomp.pas
  $0000000100061F73  STARTCOMPRESSINGSTREAM,  line 938 of ../../packages/chm/src/chmwriter.pas
Call trace for block $00000000059F2D00 size 59
  $0000000100011702
  $00000001000093E3
  $000000010000A77A
  $000000010000A7DE
  $00000001000250DA
  $0000000100024F44
  $00000001000C9560  FIXHTMLPATH,  line 166 of dw_basehtml.pp
  $00000001000A2A58  GENERATEINDEX,  line 497 of dw_chm.pp
  $00000001000A157C  LASTFILEADDED,  line 246 of dw_chm.pp
  $0000000100060AC7  GETDATA,  line 698 of ../../packages/chm/src/chmwriter.pas
  $00000001000606B6  _GETDATA,  line 662 of ../../packages/chm/src/chmwriter.pas
  $0000000100069895  LZX_GET_CHARS,  line 467 of ../../packages/chm/src/paslzxcomp.pas
  $000000010013DC86  FILL_BLOCKBUF,  line 173 of ../../packages/chm/src/paslznonslide.pas
  $000000010013E238  LZ_COMPRESS,  line 284 of ../../packages/chm/src/paslznonslide.pas
  $000000010006B954  LZX_COMPRESS_BLOCK,  line 1000 of ../../packages/chm/src/paslzxcomp.pas
  $0000000100061F73  STARTCOMPRESSINGSTREAM,  line 938 of ../../packages/chm/src/chmwriter.pas
Call trace for block $00000000060DDF40 size 45
  $0000000100011702
  $00000001000093E3
  $000000010000A77A
  $000000010000A7DE
  $00000001000250DA
  $0000000100024F44
  $00000001000C9560  FIXHTMLPATH,  line 166 of dw_basehtml.pp
  $00000001000A2922  GENERATEINDEX,  line 489 of dw_chm.pp
  $00000001000A157C  LASTFILEADDED,  line 246 of dw_chm.pp
  $0000000100060AC7  GETDATA,  line 698 of ../../packages/chm/src/chmwriter.pas
  $00000001000606B6  _GETDATA,  line 662 of ../../packages/chm/src/chmwriter.pas
  $0000000100069895  LZX_GET_CHARS,  line 467 of ../../packages/chm/src/paslzxcomp.pas
  $000000010013DC86  FILL_BLOCKBUF,  line 173 of ../../packages/chm/src/paslznonslide.pas
  $000000010013E238  LZ_COMPRESS,  line 284 of ../../packages/chm/src/paslznonslide.pas
  $000000010006B954  LZX_COMPRESS_BLOCK,  line 1000 of ../../packages/chm/src/paslzxcomp.pas
  $0000000100061F73  STARTCOMPRESSINGSTREAM,  line 938 of ../../packages/chm/src/chmwriter.pas
Call trace for block $00000000060DE840 size 44
  $0000000100011702
  $00000001000093E3
  $000000010000A77A
  $000000010000A7DE
  $00000001000250DA
  $0000000100024F44
  $00000001000C9560  FIXHTMLPATH,  line 166 of dw_basehtml.pp
  $00000001000A2825  GENERATEINDEX,  line 481 of dw_chm.pp
  $00000001000A157C  LASTFILEADDED,  line 246 of dw_chm.pp
  $0000000100060AC7  GETDATA,  line 698 of ../../packages/chm/src/chmwriter.pas
  $00000001000606B6  _GETDATA,  line 662 of ../../packages/chm/src/chmwriter.pas
  $0000000100069895  LZX_GET_CHARS,  line 467 of ../../packages/chm/src/paslzxcomp.pas
  $000000010013DC86  FILL_BLOCKBUF,  line 173 of ../../packages/chm/src/paslznonslide.pas
  $000000010013E238  LZ_COMPRESS,  line 284 of ../../packages/chm/src/paslznonslide.pas
  $000000010006B954  LZX_COMPRESS_BLOCK,  line 1000 of ../../packages/chm/src/paslzxcomp.pas
  $0000000100061F73  STARTCOMPRESSINGSTREAM,  line 938 of ../../packages/chm/src/chmwriter.pas
Call trace for block $00000000060BA240 size 40
  $00000001000117DB
  $00000001000F74B7  ADDENTRY,  line 339 of ../../packages/chm/src/chmtypes.pas
  $0000000100061E13  POSTADDSTREAMTOARCHIVE,  line 918 of ../../packages/chm/src/chmwriter.pas
  $00000001000659A9  APPENDTOC,  line 1782 of ../../packages/chm/src/chmwriter.pas
  $00000001000A230F  GENERATETOC,  line 415 of dw_chm.pp
  $00000001000A14BC  LASTFILEADDED,  line 235 of dw_chm.pp
  $0000000100060AC7  GETDATA,  line 698 of ../../packages/chm/src/chmwriter.pas
  $00000001000606B6  _GETDATA,  line 662 of ../../packages/chm/src/chmwriter.pas
  $0000000100069895  LZX_GET_CHARS,  line 467 of ../../packages/chm/src/paslzxcomp.pas
  $000000010013DC86  FILL_BLOCKBUF,  line 173 of ../../packages/chm/src/paslznonslide.pas
  $000000010013E238  LZ_COMPRESS,  line 284 of ../../packages/chm/src/paslznonslide.pas
  $000000010006B954  LZX_COMPRESS_BLOCK,  line 1000 of ../../packages/chm/src/paslzxcomp.pas
  $0000000100061F73  STARTCOMPRESSINGSTREAM,  line 938 of ../../packages/chm/src/chmwriter.pas
  $0000000100061877  EXECUTE,  line 846 of ../../packages/chm/src/chmwriter.pas
  $00000001000A3D8B  WRITEDOC,  line 703 of dw_chm.pp
  $00000001000C4BC3  CREATEOUTPUT,  line 247 of mkfpdoc.pp
Call trace for block $00000000060E0740 size 40
  $00000001000117DB
  $00000001000F74B7  ADDENTRY,  line 339 of ../../packages/chm/src/chmtypes.pas
  $0000000100061E13  POSTADDSTREAMTOARCHIVE,  line 918 of ../../packages/chm/src/chmwriter.pas
  $0000000100061A2C  ADDSTREAMTOARCHIVE,  line 878 of ../../packages/chm/src/chmwriter.pas
  $0000000100068814  APPENDBINARYTOCSTREAM,  line 2480 of ../../packages/chm/src/chmwriter.pas
  $00000001000664F5  APPENDBINARYTOCFROMSITEMAP,  line 1949 of ../../packages/chm/src/chmwriter.pas
  $00000001000A22E5  GENERATETOC,  line 411 of dw_chm.pp
  $00000001000A14BC  LASTFILEADDED,  line 235 of dw_chm.pp
  $0000000100060AC7  GETDATA,  line 698 of ../../packages/chm/src/chmwriter.pas
  $00000001000606B6  _GETDATA,  line 662 of ../../packages/chm/src/chmwriter.pas
  $0000000100069895  LZX_GET_CHARS,  line 467 of ../../packages/chm/src/paslzxcomp.pas
  $000000010013DC86  FILL_BLOCKBUF,  line 173 of ../../packages/chm/src/paslznonslide.pas
  $000000010013E238  LZ_COMPRESS,  line 284 of ../../packages/chm/src/paslznonslide.pas
  $000000010006B954  LZX_COMPRESS_BLOCK,  line 1000 of ../../packages/chm/src/paslzxcomp.pas
  $0000000100061F73  STARTCOMPRESSINGSTREAM,  line 938 of ../../packages/chm/src/chmwriter.pas
  $0000000100061877  EXECUTE,  line 846 of ../../packages/chm/src/chmwriter.pas
Call trace for block $00000000060C3F40 size 48
  $0000000100011702
  $000000010000EE0A
  $000000010000ECA4
  $00000001000FEF7B
  $00000001000FCAF3
  $00000001000FCA95
  $0000000100064D39  ADDSTRING,  line 1602 of ../../packages/chm/src/chmwriter.pas
  $0000000100065EC4  APPENDBINARYTOCFROMSITEMAP,  line 1877 of ../../packages/chm/src/chmwriter.pas
  $00000001000A22E5  GENERATETOC,  line 411 of dw_chm.pp
  $00000001000A14BC  LASTFILEADDED,  line 235 of dw_chm.pp
  $0000000100060AC7  GETDATA,  line 698 of ../../packages/chm/src/chmwriter.pas
  $00000001000606B6  _GETDATA,  line 662 of ../../packages/chm/src/chmwriter.pas
  $0000000100069895  LZX_GET_CHARS,  line 467 of ../../packages/chm/src/paslzxcomp.pas
  $000000010013DC86  FILL_BLOCKBUF,  line 173 of ../../packages/chm/src/paslznonslide.pas
  $000000010013E238  LZ_COMPRESS,  line 284 of ../../packages/chm/src/paslznonslide.pas
  $000000010006B954  LZX_COMPRESS_BLOCK,  line 1000 of ../../packages/chm/src/paslzxcomp.pas
Call trace for block $00000000060CA440 size 24
  $0000000100011702
  $000000010000EE0A
  $000000010000ECA4
  $0000000100064CFB  ADDSTRING,  line 1599 of ../../packages/chm/src/chmwriter.pas
  $0000000100065EC4  APPENDBINARYTOCFROMSITEMAP,  line 1877 of ../../packages/chm/src/chmwriter.pas
  $00000001000A22E5  GENERATETOC,  line 411 of dw_chm.pp
  $00000001000A14BC  LASTFILEADDED,  line 235 of dw_chm.pp
  $0000000100060AC7  GETDATA,  line 698 of ../../packages/chm/src/chmwriter.pas
  $00000001000606B6  _GETDATA,  line 662 of ../../packages/chm/src/chmwriter.pas
  $0000000100069895  LZX_GET_CHARS,  line 467 of ../../packages/chm/src/paslzxcomp.pas
  $000000010013DC86  FILL_BLOCKBUF,  line 173 of ../../packages/chm/src/paslznonslide.pas
  $000000010013E238  LZ_COMPRESS,  line 284 of ../../packages/chm/src/paslznonslide.pas
  $000000010006B954  LZX_COMPRESS_BLOCK,  line 1000 of ../../packages/chm/src/paslzxcomp.pas
  $0000000100061F73  STARTCOMPRESSINGSTREAM,  line 938 of ../../packages/chm/src/chmwriter.pas
  $0000000100061877  EXECUTE,  line 846 of ../../packages/chm/src/chmwriter.pas
  $00000001000A3D8B  WRITEDOC,  line 703 of dw_chm.pp
Call trace for block $00000000060BC040 size 48
  $0000000100011702
  $000000010000EE0A
  $000000010000ECA4
  $00000001000FEF7B
  $00000001000FCAF3
  $00000001000FCA95
  $0000000100064D39  ADDSTRING,  line 1602 of ../../packages/chm/src/chmwriter.pas
  $0000000100065EC4  APPENDBINARYTOCFROMSITEMAP,  line 1877 of ../../packages/chm/src/chmwriter.pas
  $00000001000A22E5  GENERATETOC,  line 411 of dw_chm.pp
  $00000001000A14BC  LASTFILEADDED,  line 235 of dw_chm.pp
  $0000000100060AC7  GETDATA,  line 698 of ../../packages/chm/src/chmwriter.pas
  $00000001000606B6  _GETDATA,  line 662 of ../../packages/chm/src/chmwriter.pas
  $0000000100069895  LZX_GET_CHARS,  line 467 of ../../packages/chm/src/paslzxcomp.pas
  $000000010013DC86  FILL_BLOCKBUF,  line 173 of ../../packages/chm/src/paslznonslide.pas
  $000000010013E238  LZ_COMPRESS,  line 284 of ../../packages/chm/src/paslznonslide.pas
  $000000010006B954  LZX_COMPRESS_BLOCK,  line 1000 of ../../packages/chm/src/paslzxcomp.pas
Call trace for block $00000000060B9F40 size 24
  $0000000100011702
  $000000010000EE0A
  $000000010000ECA4
  $0000000100064CFB  ADDSTRING,  line 1599 of ../../packages/chm/src/chmwriter.pas
  $0000000100065EC4  APPENDBINARYTOCFROMSITEMAP,  line 1877 of ../../packages/chm/src/chmwriter.pas
  $00000001000A22E5  GENERATETOC,  line 411 of dw_chm.pp
  $00000001000A14BC  LASTFILEADDED,  line 235 of dw_chm.pp
  $0000000100060AC7  GETDATA,  line 698 of ../../packages/chm/src/chmwriter.pas
  $00000001000606B6  _GETDATA,  line 662 of ../../packages/chm/src/chmwriter.pas
  $0000000100069895  LZX_GET_CHARS,  line 467 of ../../packages/chm/src/paslzxcomp.pas
  $000000010013DC86  FILL_BLOCKBUF,  line 173 of ../../packages/chm/src/paslznonslide.pas
  $000000010013E238  LZ_COMPRESS,  line 284 of ../../packages/chm/src/paslznonslide.pas
  $000000010006B954  LZX_COMPRESS_BLOCK,  line 1000 of ../../packages/chm/src/paslzxcomp.pas
  $0000000100061F73  STARTCOMPRESSINGSTREAM,  line 938 of ../../packages/chm/src/chmwriter.pas
  $0000000100061877  EXECUTE,  line 846 of ../../packages/chm/src/chmwriter.pas
  $00000001000A3D8B  WRITEDOC,  line 703 of dw_chm.pp
Call trace for block $00000000060BAB40 size 48
  $0000000100011702
  $000000010000EE0A
  $000000010000ECA4
  $00000001000FEF7B
  $00000001000FCAF3
  $00000001000FCA95
  $0000000100064D39  ADDSTRING,  line 1602 of ../../packages/chm/src/chmwriter.pas
  $0000000100065EC4  APPENDBINARYTOCFROMSITEMAP,  line 1877 of ../../packages/chm/src/chmwriter.pas
  $00000001000A22E5  GENERATETOC,  line 411 of dw_chm.pp
  $00000001000A14BC  LASTFILEADDED,  line 235 of dw_chm.pp
  $0000000100060AC7  GETDATA,  line 698 of ../../packages/chm/src/chmwriter.pas
  $00000001000606B6  _GETDATA,  line 662 of ../../packages/chm/src/chmwriter.pas
  $0000000100069895  LZX_GET_CHARS,  line 467 of ../../packages/chm/src/paslzxcomp.pas
  $000000010013DC86  FILL_BLOCKBUF,  line 173 of ../../packages/chm/src/paslznonslide.pas
  $000000010013E238  LZ_COMPRESS,  line 284 of ../../packages/chm/src/paslznonslide.pas
  $000000010006B954  LZX_COMPRESS_BLOCK,  line 1000 of ../../packages/chm/src/paslzxcomp.pas
Call trace for block $00000000060B9440 size 24
  $0000000100011702
  $000000010000EE0A
  $000000010000ECA4
  $0000000100064CFB  ADDSTRING,  line 1599 of ../../packages/chm/src/chmwriter.pas
  $0000000100065EC4  APPENDBINARYTOCFROMSITEMAP,  line 1877 of ../../packages/chm/src/chmwriter.pas
  $00000001000A22E5  GENERATETOC,  line 411 of dw_chm.pp
  $00000001000A14BC  LASTFILEADDED,  line 235 of dw_chm.pp
  $0000000100060AC7  GETDATA,  line 698 of ../../packages/chm/src/chmwriter.pas
  $00000001000606B6  _GETDATA,  line 662 of ../../packages/chm/src/chmwriter.pas
  $0000000100069895  LZX_GET_CHARS,  line 467 of ../../packages/chm/src/paslzxcomp.pas
  $000000010013DC86  FILL_BLOCKBUF,  line 173 of ../../packages/chm/src/paslznonslide.pas
  $000000010013E238  LZ_COMPRESS,  line 284 of ../../packages/chm/src/paslznonslide.pas
  $000000010006B954  LZX_COMPRESS_BLOCK,  line 1000 of ../../packages/chm/src/paslzxcomp.pas
  $0000000100061F73  STARTCOMPRESSINGSTREAM,  line 938 of ../../packages/chm/src/chmwriter.pas
  $0000000100061877  EXECUTE,  line 846 of ../../packages/chm/src/chmwriter.pas
  $00000001000A3D8B  WRITEDOC,  line 703 of dw_chm.pp
Call trace for block $00000000060BB340 size 48
  $0000000100011702
  $000000010000EE0A
  $000000010000ECA4
  $00000001000FEF7B
  $00000001000FCAF3
  $00000001000FCA95
  $0000000100064D39  ADDSTRING,  line 1602 of ../../packages/chm/src/chmwriter.pas
  $0000000100065EC4  APPENDBINARYTOCFROMSITEMAP,  line 1877 of ../../packages/chm/src/chmwriter.pas
  $00000001000A22E5  GENERATETOC,  line 411 of dw_chm.pp
  $00000001000A14BC  LASTFILEADDED,  line 235 of dw_chm.pp
  $0000000100060AC7  GETDATA,  line 698 of ../../packages/chm/src/chmwriter.pas
  $00000001000606B6  _GETDATA,  line 662 of ../../packages/chm/src/chmwriter.pas
  $0000000100069895  LZX_GET_CHARS,  line 467 of ../../packages/chm/src/paslzxcomp.pas
  $000000010013DC86  FILL_BLOCKBUF,  line 173 of ../../packages/chm/src/paslznonslide.pas
  $000000010013E238  LZ_COMPRESS,  line 284 of ../../packages/chm/src/paslznonslide.pas
  $000000010006B954  LZX_COMPRESS_BLOCK,  line 1000 of ../../packages/chm/src/paslzxcomp.pas
Call trace for block $00000000060B8A40 size 24
  $0000000100011702
  $000000010000EE0A
  $000000010000ECA4
  $0000000100064CFB  ADDSTRING,  line 1599 of ../../packages/chm/src/chmwriter.pas
  $0000000100065EC4  APPENDBINARYTOCFROMSITEMAP,  line 1877 of ../../packages/chm/src/chmwriter.pas
  $00000001000A22E5  GENERATETOC,  line 411 of dw_chm.pp
  $00000001000A14BC  LASTFILEADDED,  line 235 of dw_chm.pp
  $0000000100060AC7  GETDATA,  line 698 of ../../packages/chm/src/chmwriter.pas
  $00000001000606B6  _GETDATA,  line 662 of ../../packages/chm/src/chmwriter.pas
  $0000000100069895  LZX_GET_CHARS,  line 467 of ../../packages/chm/src/paslzxcomp.pas
  $000000010013DC86  FILL_BLOCKBUF,  line 173 of ../../packages/chm/src/paslznonslide.pas
  $000000010013E238  LZ_COMPRESS,  line 284 of ../../packages/chm/src/paslznonslide.pas
  $000000010006B954  LZX_COMPRESS_BLOCK,  line 1000 of ../../packages/chm/src/paslzxcomp.pas
  $0000000100061F73  STARTCOMPRESSINGSTREAM,  line 938 of ../../packages/chm/src/chmwriter.pas
  $0000000100061877  EXECUTE,  line 846 of ../../packages/chm/src/chmwriter.pas
  $00000001000A3D8B  WRITEDOC,  line 703 of dw_chm.pp
Call trace for block $00000000060CF440 size 48
  $0000000100011702
  $000000010000EE0A
  $000000010000ECA4
  $00000001000FEF7B
  $00000001000FCAF3
  $00000001000FCA95
  $0000000100064D39  ADDSTRING,  line 1602 of ../../packages/chm/src/chmwriter.pas
  $0000000100065EC4  APPENDBINARYTOCFROMSITEMAP,  line 1877 of ../../packages/chm/src/chmwriter.pas
  $00000001000A22E5  GENERATETOC,  line 411 of dw_chm.pp
  $00000001000A14BC  LASTFILEADDED,  line 235 of dw_chm.pp
  $0000000100060AC7  GETDATA,  line 698 of ../../packages/chm/src/chmwriter.pas
  $00000001000606B6  _GETDATA,  line 662 of ../../packages/chm/src/chmwriter.pas
  $0000000100069895  LZX_GET_CHARS,  line 467 of ../../packages/chm/src/paslzxcomp.pas
  $000000010013DC86  FILL_BLOCKBUF,  line 173 of ../../packages/chm/src/paslznonslide.pas
  $000000010013E238  LZ_COMPRESS,  line 284 of ../../packages/chm/src/paslznonslide.pas
  $000000010006B954  LZX_COMPRESS_BLOCK,  line 1000 of ../../packages/chm/src/paslzxcomp.pas
Call trace for block $00000000060E2C40 size 24
  $0000000100011702
  $000000010000EE0A
  $000000010000ECA4
  $0000000100064CFB  ADDSTRING,  line 1599 of ../../packages/chm/src/chmwriter.pas
  $0000000100065EC4  APPENDBINARYTOCFROMSITEMAP,  line 1877 of ../../packages/chm/src/chmwriter.pas
  $00000001000A22E5  GENERATETOC,  line 411 of dw_chm.pp
  $00000001000A14BC  LASTFILEADDED,  line 235 of dw_chm.pp
  $0000000100060AC7  GETDATA,  line 698 of ../../packages/chm/src/chmwriter.pas
  $00000001000606B6  _GETDATA,  line 662 of ../../packages/chm/src/chmwriter.pas
  $0000000100069895  LZX_GET_CHARS,  line 467 of ../../packages/chm/src/paslzxcomp.pas
  $000000010013DC86  FILL_BLOCKBUF,  line 173 of ../../packages/chm/src/paslznonslide.pas
  $000000010013E238  LZ_COMPRESS,  line 284 of ../../packages/chm/src/paslznonslide.pas
  $000000010006B954  LZX_COMPRESS_BLOCK,  line 1000 of ../../packages/chm/src/paslzxcomp.pas
  $0000000100061F73  STARTCOMPRESSINGSTREAM,  line 938 of ../../packages/chm/src/chmwriter.pas
  $0000000100061877  EXECUTE,  line 846 of ../../packages/chm/src/chmwriter.pas
  $00000001000A3D8B  WRITEDOC,  line 703 of dw_chm.pp
Call trace for block $00000000060C2B40 size 48
  $0000000100011702
  $000000010000EE0A
  $000000010000ECA4
  $00000001000FEF7B
  $00000001000FCAF3
  $00000001000FCA95
  $0000000100064D39  ADDSTRING,  line 1602 of ../../packages/chm/src/chmwriter.pas
  $0000000100065EC4  APPENDBINARYTOCFROMSITEMAP,  line 1877 of ../../packages/chm/src/chmwriter.pas
  $00000001000A22E5  GENERATETOC,  line 411 of dw_chm.pp
  $00000001000A14BC  LASTFILEADDED,  line 235 of dw_chm.pp
  $0000000100060AC7  GETDATA,  line 698 of ../../packages/chm/src/chmwriter.pas
  $00000001000606B6  _GETDATA,  line 662 of ../../packages/chm/src/chmwriter.pas
  $0000000100069895  LZX_GET_CHARS,  line 467 of ../../packages/chm/src/paslzxcomp.pas
  $000000010013DC86  FILL_BLOCKBUF,  line 173 of ../../packages/chm/src/paslznonslide.pas
  $000000010013E238  LZ_COMPRESS,  line 284 of ../../packages/chm/src/paslznonslide.pas
  $000000010006B954  LZX_COMPRESS_BLOCK,  line 1000 of ../../packages/chm/src/paslzxcomp.pas
Call trace for block $00000000060DFB40 size 24
  $0000000100011702
  $000000010000EE0A
  $000000010000ECA4
  $0000000100064CFB  ADDSTRING,  line 1599 of ../../packages/chm/src/chmwriter.pas
  $0000000100065EC4  APPENDBINARYTOCFROMSITEMAP,  line 1877 of ../../packages/chm/src/chmwriter.pas
  $00000001000A22E5  GENERATETOC,  line 411 of dw_chm.pp
  $00000001000A14BC  LASTFILEADDED,  line 235 of dw_chm.pp
  $0000000100060AC7  GETDATA,  line 698 of ../../packages/chm/src/chmwriter.pas
  $00000001000606B6  _GETDATA,  line 662 of ../../packages/chm/src/chmwriter.pas
  $0000000100069895  LZX_GET_CHARS,  line 467 of ../../packages/chm/src/paslzxcomp.pas
  $000000010013DC86  FILL_BLOCKBUF,  line 173 of ../../packages/chm/src/paslznonslide.pas
  $000000010013E238  LZ_COMPRESS,  line 284 of ../../packages/chm/src/paslznonslide.pas
  $000000010006B954  LZX_COMPRESS_BLOCK,  line 1000 of ../../packages/chm/src/paslzxcomp.pas
  $0000000100061F73  STARTCOMPRESSINGSTREAM,  line 938 of ../../packages/chm/src/chmwriter.pas
  $0000000100061877  EXECUTE,  line 846 of ../../packages/chm/src/chmwriter.pas
  $00000001000A3D8B  WRITEDOC,  line 703 of dw_chm.pp
Call trace for block $00000000060E1240 size 48
  $0000000100011702
  $000000010000EE0A
  $000000010000ECA4
  $00000001000FEF7B
  $00000001000FCAF3
  $00000001000FCA95
  $0000000100064D39  ADDSTRING,  line 1602 of ../../packages/chm/src/chmwriter.pas
  $0000000100065EC4  APPENDBINARYTOCFROMSITEMAP,  line 1877 of ../../packages/chm/src/chmwriter.pas
  $00000001000A22E5  GENERATETOC,  line 411 of dw_chm.pp
  $00000001000A14BC  LASTFILEADDED,  line 235 of dw_chm.pp
  $0000000100060AC7  GETDATA,  line 698 of ../../packages/chm/src/chmwriter.pas
  $00000001000606B6  _GETDATA,  line 662 of ../../packages/chm/src/chmwriter.pas
  $0000000100069895  LZX_GET_CHARS,  line 467 of ../../packages/chm/src/paslzxcomp.pas
  $000000010013DC86  FILL_BLOCKBUF,  line 173 of ../../packages/chm/src/paslznonslide.pas
  $000000010013E238  LZ_COMPRESS,  line 284 of ../../packages/chm/src/paslznonslide.pas
  $000000010006B954  LZX_COMPRESS_BLOCK,  line 1000 of ../../packages/chm/src/paslzxcomp.pas
Call trace for block $00000000060D6C40 size 24
  $0000000100011702
  $000000010000EE0A
  $000000010000ECA4
  $0000000100064CFB  ADDSTRING,  line 1599 of ../../packages/chm/src/chmwriter.pas
  $0000000100065EC4  APPENDBINARYTOCFROMSITEMAP,  line 1877 of ../../packages/chm/src/chmwriter.pas
  $00000001000A22E5  GENERATETOC,  line 411 of dw_chm.pp
  $00000001000A14BC  LASTFILEADDED,  line 235 of dw_chm.pp
  $0000000100060AC7  GETDATA,  line 698 of ../../packages/chm/src/chmwriter.pas
  $00000001000606B6  _GETDATA,  line 662 of ../../packages/chm/src/chmwriter.pas
  $0000000100069895  LZX_GET_CHARS,  line 467 of ../../packages/chm/src/paslzxcomp.pas
  $000000010013DC86  FILL_BLOCKBUF,  line 173 of ../../packages/chm/src/paslznonslide.pas
  $000000010013E238  LZ_COMPRESS,  line 284 of ../../packages/chm/src/paslznonslide.pas
  $000000010006B954  LZX_COMPRESS_BLOCK,  line 1000 of ../../packages/chm/src/paslzxcomp.pas
  $0000000100061F73  STARTCOMPRESSINGSTREAM,  line 938 of ../../packages/chm/src/chmwriter.pas
  $0000000100061877  EXECUTE,  line 846 of ../../packages/chm/src/chmwriter.pas
  $00000001000A3D8B  WRITEDOC,  line 703 of dw_chm.pp
Call trace for block $00000000060DC940 size 48
  $0000000100011702
  $000000010000EE0A
  $000000010000ECA4
  $00000001000FEF7B
  $00000001000FCAF3
  $00000001000FCA95
  $0000000100064D39  ADDSTRING,  line 1602 of ../../packages/chm/src/chmwriter.pas
  $0000000100065EC4  APPENDBINARYTOCFROMSITEMAP,  line 1877 of ../../packages/chm/src/chmwriter.pas
  $00000001000A22E5  GENERATETOC,  line 411 of dw_chm.pp
  $00000001000A14BC  LASTFILEADDED,  line 235 of dw_chm.pp
  $0000000100060AC7  GETDATA,  line 698 of ../../packages/chm/src/chmwriter.pas
  $00000001000606B6  _GETDATA,  line 662 of ../../packages/chm/src/chmwriter.pas
  $0000000100069895  LZX_GET_CHARS,  line 467 of ../../packages/chm/src/paslzxcomp.pas
  $000000010013DC86  FILL_BLOCKBUF,  line 173 of ../../packages/chm/src/paslznonslide.pas
  $000000010013E238  LZ_COMPRESS,  line 284 of ../../packages/chm/src/paslznonslide.pas
  $000000010006B954  LZX_COMPRESS_BLOCK,  line 1000 of ../../packages/chm/src/paslzxcomp.pas
Call trace for block $00000000060DC540 size 24
  $0000000100011702
  $000000010000EE0A
  $000000010000ECA4
  $0000000100064CFB  ADDSTRING,  line 1599 of ../../packages/chm/src/chmwriter.pas
  $0000000100065EC4  APPENDBINARYTOCFROMSITEMAP,  line 1877 of ../../packages/chm/src/chmwriter.pas
  $00000001000A22E5  GENERATETOC,  line 411 of dw_chm.pp
  $00000001000A14BC  LASTFILEADDED,  line 235 of dw_chm.pp
  $0000000100060AC7  GETDATA,  line 698 of ../../packages/chm/src/chmwriter.pas
  $00000001000606B6  _GETDATA,  line 662 of ../../packages/chm/src/chmwriter.pas
  $0000000100069895  LZX_GET_CHARS,  line 467 of ../../packages/chm/src/paslzxcomp.pas
  $000000010013DC86  FILL_BLOCKBUF,  line 173 of ../../packages/chm/src/paslznonslide.pas
  $000000010013E238  LZ_COMPRESS,  line 284 of ../../packages/chm/src/paslznonslide.pas
  $000000010006B954  LZX_COMPRESS_BLOCK,  line 1000 of ../../packages/chm/src/paslzxcomp.pas
  $0000000100061F73  STARTCOMPRESSINGSTREAM,  line 938 of ../../packages/chm/src/chmwriter.pas
  $0000000100061877  EXECUTE,  line 846 of ../../packages/chm/src/chmwriter.pas
  $00000001000A3D8B  WRITEDOC,  line 703 of dw_chm.pp
Call trace for block $00000000060BBB40 size 48
  $0000000100011702
  $000000010000EE0A
  $000000010000ECA4
  $00000001000FEF7B
  $00000001000FCAF3
  $00000001000FCA95
  $0000000100064D39  ADDSTRING,  line 1602 of ../../packages/chm/src/chmwriter.pas
  $0000000100065EC4  APPENDBINARYTOCFROMSITEMAP,  line 1877 of ../../packages/chm/src/chmwriter.pas
  $00000001000A22E5  GENERATETOC,  line 411 of dw_chm.pp
  $00000001000A14BC  LASTFILEADDED,  line 235 of dw_chm.pp
  $0000000100060AC7  GETDATA,  line 698 of ../../packages/chm/src/chmwriter.pas
  $00000001000606B6  _GETDATA,  line 662 of ../../packages/chm/src/chmwriter.pas
  $0000000100069895  LZX_GET_CHARS,  line 467 of ../../packages/chm/src/paslzxcomp.pas
  $000000010013DC86  FILL_BLOCKBUF,  line 173 of ../../packages/chm/src/paslznonslide.pas
  $000000010013E238  LZ_COMPRESS,  line 284 of ../../packages/chm/src/paslznonslide.pas
  $000000010006B954  LZX_COMPRESS_BLOCK,  line 1000 of ../../packages/chm/src/paslzxcomp.pas
Call trace for block $00000000060C1D40 size 24
  $0000000100011702
  $000000010000EE0A
  $000000010000ECA4
  $0000000100064CFB  ADDSTRING,  line 1599 of ../../packages/chm/src/chmwriter.pas
  $0000000100065EC4  APPENDBINARYTOCFROMSITEMAP,  line 1877 of ../../packages/chm/src/chmwriter.pas
  $00000001000A22E5  GENERATETOC,  line 411 of dw_chm.pp
  $00000001000A14BC  LASTFILEADDED,  line 235 of dw_chm.pp
  $0000000100060AC7  GETDATA,  line 698 of ../../packages/chm/src/chmwriter.pas
  $00000001000606B6  _GETDATA,  line 662 of ../../packages/chm/src/chmwriter.pas
  $0000000100069895  LZX_GET_CHARS,  line 467 of ../../packages/chm/src/paslzxcomp.pas
  $000000010013DC86  FILL_BLOCKBUF,  line 173 of ../../packages/chm/src/paslznonslide.pas
  $000000010013E238  LZ_COMPRESS,  line 284 of ../../packages/chm/src/paslznonslide.pas
  $000000010006B954  LZX_COMPRESS_BLOCK,  line 1000 of ../../packages/chm/src/paslzxcomp.pas
  $0000000100061F73  STARTCOMPRESSINGSTREAM,  line 938 of ../../packages/chm/src/chmwriter.pas
  $0000000100061877  EXECUTE,  line 846 of ../../packages/chm/src/chmwriter.pas
  $00000001000A3D8B  WRITEDOC,  line 703 of dw_chm.pp
Call trace for block $00000000060DD640 size 26
  $0000000100011702
  $00000001000093E3
  $000000010000A77A
  $000000010000A7DE
  $0000000100020E3B
  $0000000100020E87
  $00000001000A1F8B  GENERATETOC,  line 376 of dw_chm.pp
  $00000001000A14BC  LASTFILEADDED,  line 235 of dw_chm.pp
  $0000000100060AC7  GETDATA,  line 698 of ../../packages/chm/src/chmwriter.pas
  $00000001000606B6  _GETDATA,  line 662 of ../../packages/chm/src/chmwriter.pas
  $0000000100069895  LZX_GET_CHARS,  line 467 of ../../packages/chm/src/paslzxcomp.pas
  $000000010013DC86  FILL_BLOCKBUF,  line 173 of ../../packages/chm/src/paslznonslide.pas
  $000000010013E238  LZ_COMPRESS,  line 284 of ../../packages/chm/src/paslznonslide.pas
  $000000010006B954  LZX_COMPRESS_BLOCK,  line 1000 of ../../packages/chm/src/paslzxcomp.pas
  $0000000100061F73  STARTCOMPRESSINGSTREAM,  line 938 of ../../packages/chm/src/chmwriter.pas
  $0000000100061877  EXECUTE,  line 846 of ../../packages/chm/src/chmwriter.pas
Call trace for block $00000000060DE640 size 27
  $0000000100011702
  $00000001000093E3
  $000000010000A84F
  $00000001000A1DAC  GENERATETOC,  line 360 of dw_chm.pp
  $00000001000A14BC  LASTFILEADDED,  line 235 of dw_chm.pp
  $0000000100060AC7  GETDATA,  line 698 of ../../packages/chm/src/chmwriter.pas
  $00000001000606B6  _GETDATA,  line 662 of ../../packages/chm/src/chmwriter.pas
  $0000000100069895  LZX_GET_CHARS,  line 467 of ../../packages/chm/src/paslzxcomp.pas
  $000000010013DC86  FILL_BLOCKBUF,  line 173 of ../../packages/chm/src/paslznonslide.pas
  $000000010013E238  LZ_COMPRESS,  line 284 of ../../packages/chm/src/paslznonslide.pas
  $000000010006B954  LZX_COMPRESS_BLOCK,  line 1000 of ../../packages/chm/src/paslzxcomp.pas
  $0000000100061F73  STARTCOMPRESSINGSTREAM,  line 938 of ../../packages/chm/src/chmwriter.pas
  $0000000100061877  EXECUTE,  line 846 of ../../packages/chm/src/chmwriter.pas
  $00000001000A3D8B  WRITEDOC,  line 703 of dw_chm.pp
  $00000001000C4BC3  CREATEOUTPUT,  line 247 of mkfpdoc.pp
  $00000001000C54A0  CREATEDOCUMENTATION,  line 327 of mkfpdoc.pp
Call trace for block $00000000060DD440 size 27
  $0000000100011702
  $00000001000093E3
  $000000010000A84F
  $00000001000A1DAC  GENERATETOC,  line 360 of dw_chm.pp
  $00000001000A14BC  LASTFILEADDED,  line 235 of dw_chm.pp
  $0000000100060AC7  GETDATA,  line 698 of ../../packages/chm/src/chmwriter.pas
  $00000001000606B6  _GETDATA,  line 662 of ../../packages/chm/src/chmwriter.pas
  $0000000100069895  LZX_GET_CHARS,  line 467 of ../../packages/chm/src/paslzxcomp.pas
  $000000010013DC86  FILL_BLOCKBUF,  line 173 of ../../packages/chm/src/paslznonslide.pas
  $000000010013E238  LZ_COMPRESS,  line 284 of ../../packages/chm/src/paslznonslide.pas
  $000000010006B954  LZX_COMPRESS_BLOCK,  line 1000 of ../../packages/chm/src/paslzxcomp.pas
  $0000000100061F73  STARTCOMPRESSINGSTREAM,  line 938 of ../../packages/chm/src/chmwriter.pas
  $0000000100061877  EXECUTE,  line 846 of ../../packages/chm/src/chmwriter.pas
  $00000001000A3D8B  WRITEDOC,  line 703 of dw_chm.pp
  $00000001000C4BC3  CREATEOUTPUT,  line 247 of mkfpdoc.pp
  $00000001000C54A0  CREATEDOCUMENTATION,  line 327 of mkfpdoc.pp
Call trace for block $00000000060E1F40 size 27
  $0000000100011702
  $00000001000093E3
  $000000010000A84F
  $00000001000A1DAC  GENERATETOC,  line 360 of dw_chm.pp
  $00000001000A14BC  LASTFILEADDED,  line 235 of dw_chm.pp
  $0000000100060AC7  GETDATA,  line 698 of ../../packages/chm/src/chmwriter.pas
  $00000001000606B6  _GETDATA,  line 662 of ../../packages/chm/src/chmwriter.pas
  $0000000100069895  LZX_GET_CHARS,  line 467 of ../../packages/chm/src/paslzxcomp.pas
  $000000010013DC86  FILL_BLOCKBUF,  line 173 of ../../packages/chm/src/paslznonslide.pas
  $000000010013E238  LZ_COMPRESS,  line 284 of ../../packages/chm/src/paslznonslide.pas
  $000000010006B954  LZX_COMPRESS_BLOCK,  line 1000 of ../../packages/chm/src/paslzxcomp.pas
  $0000000100061F73  STARTCOMPRESSINGSTREAM,  line 938 of ../../packages/chm/src/chmwriter.pas
  $0000000100061877  EXECUTE,  line 846 of ../../packages/chm/src/chmwriter.pas
  $00000001000A3D8B  WRITEDOC,  line 703 of dw_chm.pp
  $00000001000C4BC3  CREATEOUTPUT,  line 247 of mkfpdoc.pp
  $00000001000C54A0  CREATEDOCUMENTATION,  line 327 of mkfpdoc.pp
Call trace for block $0000000006818050 size 4096
  $0000000100019E9D
  $00000001000117BB
  $000000010002F3C4
  $000000010002F302
  $000000010002F60E
  $000000010002E8FB
  $000000010002EC4F
  $0000000100060EDC  MARKFRAME,  line 759 of ../../packages/chm/src/chmwriter.pas
  $0000000100060E66  _MARKFRAME,  line 726 of ../../packages/chm/src/chmwriter.pas
  $000000010006A8A9  LZX_ALIGN_OUTPUT,  line 744 of ../../packages/chm/src/paslzxcomp.pas
  $000000010006AC90  LZX_WRITE_COMPRESSED_LITERALS,  line 822 of ../../packages/chm/src/paslzxcomp.pas
  $000000010006BD39  LZX_COMPRESS_BLOCK,  line 1074 of ../../packages/chm/src/paslzxcomp.pas
  $0000000100061F73  STARTCOMPRESSINGSTREAM,  line 938 of ../../packages/chm/src/chmwriter.pas
  $0000000100061877  EXECUTE,  line 846 of ../../packages/chm/src/chmwriter.pas
  $00000001000A3D8B  WRITEDOC,  line 703 of dw_chm.pp
  $00000001000C4BC3  CREATEOUTPUT,  line 247 of mkfpdoc.pp
Call trace for block $0000000006828150 size 1048576
  $0000000100019E9D
  $00000001000117BB
  $000000010002F3C4
  $000000010002F302
  $000000010002F598
  $000000010002E47E
  $0000000100060DA5  WRITECOMPRESSEDDATA,  line 718 of ../../packages/chm/src/chmwriter.pas
  $0000000100060C56  _WRITECOMPRESSEDDATA,  line 710 of ../../packages/chm/src/chmwriter.pas
  $000000010006A6F0  LZX_WRITE_BITS,  line 721 of ../../packages/chm/src/paslzxcomp.pas
  $000000010006BBAA  LZX_COMPRESS_BLOCK,  line 1045 of ../../packages/chm/src/paslzxcomp.pas
  $0000000100061F73  STARTCOMPRESSINGSTREAM,  line 938 of ../../packages/chm/src/chmwriter.pas
  $0000000100061877  EXECUTE,  line 846 of ../../packages/chm/src/chmwriter.pas
  $00000001000A3D8B  WRITEDOC,  line 703 of dw_chm.pp
  $00000001000C4BC3  CREATEOUTPUT,  line 247 of mkfpdoc.pp
  $00000001000C54A0  CREATEDOCUMENTATION,  line 327 of mkfpdoc.pp
  $0000000100004138  DORUN,  line 421 of fpdoc.pp
Call trace for block $0000000006215230 size 262144
  $000000010001177B
  $000000010006B867  LZX_COMPRESS_BLOCK,  line 984 of ../../packages/chm/src/paslzxcomp.pas
  $0000000100061F73  STARTCOMPRESSINGSTREAM,  line 938 of ../../packages/chm/src/chmwriter.pas
  $0000000100061877  EXECUTE,  line 846 of ../../packages/chm/src/chmwriter.pas
  $00000001000A3D8B  WRITEDOC,  line 703 of dw_chm.pp
  $00000001000C4BC3  CREATEOUTPUT,  line 247 of mkfpdoc.pp
  $00000001000C54A0  CREATEDOCUMENTATION,  line 327 of mkfpdoc.pp
  $0000000100004138  DORUN,  line 421 of fpdoc.pp
  $0000000100042B45
  $0000000100004427  main,  line 444 of fpdoc.pp
  $0000000100004446  main,  line 448 of fpdoc.pp
  $0000000100017D90
  $0000000100001940
  $00007FFE244E7034
  $00007FFE24B7D0D1
Call trace for block $00000000064EF150 size 1048552
  $000000010001A87B
  $000000010001179B
  $000000010013DA8A  LZ_INIT,  line 133 of ../../packages/chm/src/paslznonslide.pas
  $000000010006C1BD  LZX_INIT,  line 1134 of ../../packages/chm/src/paslzxcomp.pas
  $0000000100061F49  STARTCOMPRESSINGSTREAM,  line 932 of ../../packages/chm/src/chmwriter.pas
  $0000000100061877  EXECUTE,  line 846 of ../../packages/chm/src/chmwriter.pas
  $00000001000A3D8B  WRITEDOC,  line 703 of dw_chm.pp
  $00000001000C4BC3  CREATEOUTPUT,  line 247 of mkfpdoc.pp
  $00000001000C54A0  CREATEDOCUMENTATION,  line 327 of mkfpdoc.pp
  $0000000100004138  DORUN,  line 421 of fpdoc.pp
  $0000000100042B45
  $0000000100004427  main,  line 444 of fpdoc.pp
  $0000000100004446  main,  line 448 of fpdoc.pp
  $0000000100017D90
  $0000000100001940
  $00007FFE244E7034
Marked memory at $0000000006195150 invalid
Wrong signature $E2487500 instead of 60AB0A3B
  $000000010001A7B8
  $000000010001A2D0
  $000000010001AE55
  $000000010001B2C3
  $0000000100010C91
  $0000000100010F52
  $0000000100010F7A
  $0000000100010FA0
  $0000000100019B34
  $0000000100019D56
  $0000000100019E1E
  $000000010001175B
  $000000010013DAD3  LZ_RELEASE,  line 140 of ../../packages/chm/src/paslznonslide.pas
  $000000010006C270  LZX_FINISH,  line 1148 of ../../packages/chm/src/paslzxcomp.pas
  $0000000100061FA9  STARTCOMPRESSINGSTREAM,  line 944 of ../../packages/chm/src/chmwriter.pas
  $0000000100061877  EXECUTE,  line 846 of ../../packages/chm/src/chmwriter.pas
  $00000001000A3D8B  WRITEDOC,  line 703 of dw_chm.pp
  $00000001000C4BC3  CREATEOUTPUT,  line 247 of mkfpdoc.pp
  $00000001000C54A0  CREATEDOCUMENTATION,  line 327 of mkfpdoc.pp
  $0000000100004138  DORUN,  line 421 of fpdoc.pp
  $0000000100042B45
  $0000000100004427  main,  line 444 of fpdoc.pp
  $0000000100004446  main,  line 448 of fpdoc.pp
  $0000000100017D90
  $0000000100001940
  $00007FFE244E7034
  $00007FFE24B7D0D1
Call trace for block $00000000059EDD70 size 112
  $00000001000117DB
  $000000010006C138  LZX_INIT,  line 1132 of ../../packages/chm/src/paslzxcomp.pas
  $0000000100061F49  STARTCOMPRESSINGSTREAM,  line 932 of ../../packages/chm/src/chmwriter.pas
  $0000000100061877  EXECUTE,  line 846 of ../../packages/chm/src/chmwriter.pas
  $00000001000A3D8B  WRITEDOC,  line 703 of dw_chm.pp
  $00000001000C4BC3  CREATEOUTPUT,  line 247 of mkfpdoc.pp
  $00000001000C54A0  CREATEDOCUMENTATION,  lin
fpdoc_err.log (92,559 bytes)   
ufrmmain.pas (1,916 bytes)   
unit ufrmMain;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, Forms, Controls, Graphics, Dialogs;

type

  { TForm1 }

  TForm1 = class ( TForm )
  private
    MyPrivate1: Integer;
    MyPrivate2:String;
  public
    function GetMyPrivate1 : Integer;
    function GetMyPrivate2 : String;
  end;

  { TMyTestClass }

  TMyTestClass = class
  private
    MyPrivate1: Integer;
    MyPrivate2:String;
  public
    function GetMyPrivate1 : Integer;
    function GetMyPrivate2 : String;
  end;

  { TMyTObjectClass }

  TMyTObjectClass = class(TObject)
  private
    MyPrivate1: Integer;
    MyPrivate2:String;
  public
    function GetMyPrivate1 : Integer;
    function GetMyPrivate2 : String;
  end;

  IMyInterface = interface(IDispatch)
  end;

  { TMyException }

  TMyException = class(Exception)
  public
    function MyDesc : String;
  end;

  function freeFunction(S:String):String;
  procedure freeProcedure(S:String);


var
  Form1: TForm1;
  freeVariable: String;

implementation

function freeFunction(S: String): String;
begin
  Result := 'MyText';
end;

procedure freeProcedure(S: String);
begin
  freeVariable:= 'default';
end;

{$R *.lfm}

{ TMyException }

function TMyException.MyDesc: String;
begin
  Result := 'MyException';
end;

{ TForm1 }

function TForm1.GetMyPrivate1: Integer;
begin
  Result:=MyPrivate1;
end;

function TForm1.GetMyPrivate2: String;
begin
  Result:=MyPrivate2;
end;

{ TMyTObjectClass }

function TMyTObjectClass.GetMyPrivate1: Integer;
begin
  Result := MyPrivate1;
end;

function TMyTObjectClass.GetMyPrivate2: String;
begin
   Result := MyPrivate2;
end;

{ TMyTestClass }

function TMyTestClass.GetMyPrivate1: Integer;
begin
  Result := MyPrivate1;
end;

function TMyTestClass.GetMyPrivate2: String;
begin
  Result := MyPrivate2;
end;

end.

ufrmmain.pas (1,916 bytes)   

Marco van de Voort

2021-03-28 15:27

manager   ~0129946

Last edited: 2021-03-28 15:27

View 2 revisions

Note that this also reveals corrupted memory in lzx compression. My guess is that this needs valgrinding.

Marco van de Voort

2021-03-30 15:27

manager   ~0129988

I tried to reproduce using current trunk, but couldn't. I get tons of fpdoc contentfile loading warnings, but none in chm/

Issue History

Date Modified Username Field Change
2021-01-05 19:04 Andrey Sobol New Issue
2021-01-05 19:04 Andrey Sobol File Added: fpdoc_err.log
2021-01-05 19:04 Andrey Sobol File Added: ufrmmain.pas
2021-03-28 15:27 Marco van de Voort Note Added: 0129946
2021-03-28 15:27 Marco van de Voort Note Edited: 0129946 View Revisions
2021-03-30 15:27 Marco van de Voort Note Added: 0129988